<?php

	if ($_SESSION["user_id"]=="" or $_SESSION["user_data"]["type"]!="admin")
	{
		redirect(smarty_modifier_url("login"));
	}
	
	
	$columns = array("title" => array("title" => $LANG->l('Title'), "sort" => "a.title"), 
					 "url" => array("title" => $LANG->l('Url'), "sort" => "a.url"), 
					 "created" => array("title" => $LANG->l('Created'), "sort" => "a.created"),
					 );
	
	$edit_columns = array(
					 "title" => array("title" => $LANG->l('Title'), "type" => "text"), 
					 "url" => array("title" => $LANG->l('Url'), "type" => "text"),
					 "display" => array("title" => $LANG->l('Overwrite referrals'), "type" => "checkbox"),
					 "created" => array("title" => $LANG->l('Created'), "type" => "static"),
					 "modified" => array("title" => $LANG->l('Modified'), "type" => "static")
					 );
	
	$friendsGrid = new thegrid($DB , array(
											"table_name" => DB_PREFIX."friends", 
											"edit_id" => $_REQUEST["id_column"],
											"id" => "friendsGrid", 
											"items_per_page" => 10,		
											"view_columns" => $columns, 
											"edit_columns" => $edit_columns, 
											"show_pagination" => false, 
											"is_sortable" => true, 
											"show_add" => true, 
											"show_edit_controls" => true,  
											"is_admin" => ($_SESSION['user_data']['type']=="admin"), 
											"page" => $page,
											"page_output" => PAGE_OUTPUT, 
											"url" => smarty_modifier_url("admin_friends"), 
											"ajax_url" => smarty_modifier_url("ajax/admin_friends") 
											)
								);
	
	
	switch ($_REQUEST["taction"])
	{
		case "reorder":
			$friendsGrid->reorder();
			break;
		case "disable":
			$friendsGrid->disable($_REQUEST["id_column"]);
			break;
		case "enable":
			$friendsGrid->enable($_REQUEST["id_column"]);
			break;
		case "delete":
			$friendsGrid->delete($_REQUEST["id_column"]);
			break;
		case "add":
		case "edit":
			if ($_REQUEST["save"]!="")
			{
				$friendsGrid->save($_REQUEST["id_column"]);
				echo $siteError->show();
				echo $siteError->show("success");
				exit();
			}
			$tmp_arr = $friendsGrid->get($_REQUEST["id_column"]);
			if ($tmp_arr!==false)
				$_REQUEST = array_merge($_REQUEST, $tmp_arr);
			break;
	}
	
	$friendsGrid->get_data();
	
	$smarty->assign("friendsGrid",$friendsGrid->show());
?>