<?php
	if ($_SESSION["user_id"]=="" or $_SESSION["user_data"]["type"]!="admin")
	{
		redirect(smarty_modifier_url("login"));
	}
	
	
	
	$columns = array("title" => array("title" => "Title", "sort" => "a.title"), 
					 "url" => array("title" => "Url", "sort" => "a.url"), 
					 "created" => array("title" => "Created", "sort" => "a.created"),
					 );
	
	$edit_columns = array(
					 "title" => array("title" => $LANG->l('Title'), "type" => "text"), 
					 "url" => array("title" => $LANG->l('Url'), "type" => "text"),
					 "created" => array("title" => $LANG->l('Created'), "type" => "static"),
					 "modified" => array("title" => $LANG->l('Modified'), "type" => "static")
					 );
	
	
	$sponsorsGrid = new thegrid($DB, 
								array("id" => "sponsorsGrid", 
									  "table_name" => DB_PREFIX."sponsors",
									  "order_by" => " ORDER BY sort_order ASC ",
									  "view_columns" => $columns, 
									  "edit_columns" => $edit_columns, 
									  "show_pagination" => false, 
									  "is_sortable" => true, 
									  "show_add" => !($page_name_pieces[1]=="add" || $page_name_pieces[1]=="edit"), 
									  "show_edit_controls" => true,   
									  "is_admin" => ($_SESSION['user_data']['type']=="admin"), 
									  "page_output" => PAGE_OUTPUT, 
									  "url" => smarty_modifier_url("admin_sponsors"), 
									  "ajax_url" => smarty_modifier_url("ajax/admin_sponsors") 
									  )
								);
	
	switch ($_REQUEST["taction"])
	{
		case "reorder":
			$sponsorsGrid->reorder();
			break;
		case "disable":
			$sponsorsGrid->disable($_REQUEST["id_column"]);
			break;
		case "enable":
			$sponsorsGrid->enable($_REQUEST["id_column"]);
			break;
		case "delete":
			$sponsorsGrid->delete($_REQUEST["id_column"]);
			break;
		case "add":
		case "edit":
			if ($_REQUEST["save"]!="")
			{
				$sponsorsGrid->save($_REQUEST["id_column"]);
				echo $siteError->show();
				echo $siteError->show("success");
				exit();
			}
			$tmp_arr = $sponsorsGrid->get($_REQUEST["id_column"]);
			if ($tmp_arr!==false)
				$_REQUEST = array_merge($_REQUEST, $tmp_arr);
			break;
	}
	
	$sponsorsGrid->get_data();
	$smarty->assign("sponsorsGrid",$sponsorsGrid->show());
?>