<?php
	if ($_SESSION["user_id"]=="" or $_SESSION["user_data"]["type"]!="admin")
	{
		redirect(smarty_modifier_url("login"));
	}
		
	
	$columns = array("username" => array("title" => $LANG->l('Username'), "sort" => "a.username", "link" => 'smarty_modifier_url("%s", "user");', "extra_info" => '" (".$data["total_items"].")"' ), 
					 "email" => array("title" => $LANG->l('Email'), "sort" => "a.email"), 
					 "type" => array("title" => $LANG->l('Type'), "sort" => "a.type"),
					 );
	
	$edit_columns = array(
					 "username" => array("title" => $LANG->l('Username'), "type" => "text"), 
					 "password" => array("title" => $LANG->l('Password'), "type" => "password"), 
					 "email" => array("title" => $LANG->l('Email'), "type" => "text"), 
					 "type" => array("title" => $LANG->l('Comment'), "type" => "text"),
					 "created" => array("title" => $LANG->l('Created'), "type" => "static"),
					 "modified" => array("title" => $LANG->l('Modified'), "type" => "static")
					 );
	
	
	$usersGrid = new thegrid($DB, 
							array("id" => "usersGrid", 
								  "table_name" => DB_PREFIX."users",
								  "group_by" => "GROUP BY a.id",
								  "join" => array(
									  				array("table"=>DB_PREFIX."users_items", 
														  "alias" => "b", 
														  "key" => "user_id", 
														  "foreign_key" => "a.id", 
														  "select_columns" => array("COUNT(b.item_id)" => "total_items")
														  )
									  			),
								  "view_columns" => $columns, 
								  "edit_columns" => $edit_columns,
								  "show_add" => !($page_name_pieces[1]=="add" || $page_name_pieces[1]=="edit"),
								  "show_edit_controls" => true,  
								  "total"=>$total, 
								  "is_admin" => ($_SESSION['user_data']['type']=="admin"), 
								  "page_output" => PAGE_OUTPUT, 
								  "url" => smarty_modifier_url("admin_users"), 
								  "ajax_url" => smarty_modifier_url("ajax/admin_users") 
								  )
							  );
	
	switch ($_REQUEST["taction"])
	{
		case "disable":
			$usersGrid->disable($_REQUEST["id_column"]);
			break;
		case "enable":
			$usersGrid->enable($_REQUEST["id_column"]);
			break;
		case "delete":
			$usersGrid->delete($_REQUEST["id_column"]);
			
			$sql = "SELECT * FROM `".DB_PREFIX."users_items` WHERE `user_id`='".$_REQUEST["id_column"]."'";
			$user_items = $DB->getAll($sql);
			
			for ($i=0;$i<count($user_items);$i++)
			{
				$WS->deleteWallpaper($user_items[$i]['item_id']);
			}
			$sql = "DELETE FROM `".DB_PREFIX."users_items` WHERE `user_id`='".$_REQUEST["id_column"]."'";
			$DB->query($sql);
			
			break;
		case "add":
		case "edit":
			if ($_REQUEST["save"]!="")
			{
				$usersGrid->save($_REQUEST["id_column"]);
				echo $siteError->show();
				echo $siteError->show("success");
				exit();
			}
			$tmp_arr = $usersGrid->get($_REQUEST["id_column"]);
			if ($tmp_arr!==false)
				$_REQUEST = array_merge($_REQUEST, $tmp_arr);
			break;
	}
	
	$usersGrid->get_data();
	
	$smarty->assign("usersGrid",$usersGrid->show());
?>