<?php

include_once "utf8.php";

if (!function_exists("mb_strtolower"))
{
	function mb_strtolower($str)
	{
		return UTF8::strtolower($str);
	}
}
if (!function_exists("mb_strlen"))
{
	function mb_strlen($str)
	{
		return UTF8::strlen($str);
	}
}
if (!function_exists("mb_strrpos"))
{
	function mb_strrpos($haystack, $needle)
	{
		return UTF8::strrpos($haystack, $needle);
	}
}
if (!function_exists("mb_strpos"))
{
	function mb_strpos($haystack, $needle, $offset=0)
	{
		return UTF8::strpos($haystack, $needle, $offset);
	}
}
if (!function_exists("mb_substr"))
{
	function mb_substr($str, $start , $length = NULL)
	{
		return UTF8::substr($str, $start , $length);
	}
}

function redirect($url="")
{
	global $siteError, $_SESSION, $GLOBALS;
	if ($url=="")
	{
		$url = $_SERVER["REQUEST_URI"];
	}
	$_SESSION["site_errors"] = $GLOBALS["glb_site_errors"];
	
	header("Location: $url");
	exit();
}

if( !function_exists('scandir') ) {
    function scandir($directory, $sorting_order = 0) {
        $dh  = opendir($directory);
        while( false !== ($filename = readdir($dh)) ) {
            if ($filename!='.' and $filename!='..')
				$files[] = $filename;
        }
        if( $sorting_order == 0 ) {
            sort($files);
        } else {
            rsort($files);
        }
        return($files);
    }
}

function deletedir($dir)
{
	$dir = rtrim($dir, '/');
	$entries = scandir($dir);
	foreach ($entries as $entry)
	{
		if ($entry!='.' and $entry!='..')
		{
			if (!is_dir($dir.'/'.$entry))
			{
				@unlink($dir.'/'.$entry);
			}
			else
			{
				deletedir($dir.'/'.$entry);
				rmdir($dir.'/'.$entry);
			}
		}
	}
}

function treeFromArray($list, $parentVar, $idVar='id')
{
	$item = array();

	//
	// Set up indexing of the above list (in case it wasn't indexed).
	//
	$lookup = array();
	foreach( $list as $item )
	{
	    $item['children'] = array();
	    $lookup[$item[$idVar]] = $item;
	}
	
	//
	// Now build tree.
	//
	$tree = array();
	foreach( $lookup as $id => $foo )
	{
	    $item = &$lookup[$id];
	    if( $item[$parentVar] == 0 )
	    {
	        $tree[$id] = &$item;
	    }
	    else
	    if( isset( $lookup[$item[$parentVar]] ) )
	    {
	        $lookup[$item[$parentVar]]['subcategories'][$id] = &$item;
	    }
	    else
	    {
	        $tree['_orphans_'][$id] = &$item;
	    }
	}
	return $tree;
}

?>