<?php

class CategoriesBlock extends Module
{	
	function CategoriesBlock()
	{
	 	$this->name = 'CategoriesBlock';
	 	$this->version = '1.0';
        $this->displayName = 'Categories Block';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Categories Block script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('right') /*OR !$this->registerHook('left')*/)
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	
	function hookRight($params)
	{
		global $step, $smarty, $DB, $selected_category, $category_name, $page_name, $short_page_name, $WS;
		
		if ($short_page_name!="wallpaper" and $page_name=="wallpaper")
		{
			$sql = "SELECT a.* FROM `".DB_PREFIX."items` a  WHERE a.short_name='".$short_page_name."' ";
			$wallpaper = $DB->get($sql);
			if (count($wallpaper)>0)
			{
				$sql = "SELECT a.*, b.* FROM `".DB_PREFIX."items_categories` a, `".DB_PREFIX."categories` b WHERE b.id=a.category_id AND a.item_id='".$wallpaper['id']."' LIMIT 0,1 ";
				$wall_categories = $DB->getAll($sql);
				$wallpaper["categories"] = $wall_categories;
				$category_name = $wall_categories[0]['short_name'];
				$selected_category = $wall_categories[0];
				$selected_category["parents"] = $WS->getParents($wall_categories[0]['id']);
				$subCats = array();
				$selected_category["sub_categories"] = $WS->getSubCategories($wall_categories[0]['id'], $subCats);
			}
		}
		
		
		if (!isset($selected_category))
		{
			$selected_category = array();
			$selected_category["parents"] = array();
			$selected_category["sub_categories"] = array();
			$selected_category = $DB->get("SELECT * FROM `".DB_PREFIX."categories` WHERE `short_name`='".$category_name."' ");
			$selected_category["parents"] = array();
			$selected_category["sub_categories"] = array();
			if (isset($selected_category['id']))
			{
				$selected_category["parents"] = $WS->getParents($selected_category['id']);
				$subCats = array();
				$WS->getSubCategories($selected_category['id'], $subCats);
				$selected_category["sub_categories"] = $subCats;
			}
		}
		
		
		$mainCategories = $categories = $WS->getCategoryListArray();
		
		$flattenCategories = $WS->flattenCategories($mainCategories);
		
		$smarty->assign("flattenCategories", $flattenCategories);
		if (!is_array($selected_category)) $selected_category = array();
		if (!is_array($selected_category["parents"])) $selected_category["parents"] = array();
		if (!is_array($selected_category["sub_categories"])) $selected_category["sub_categories"] = array();
		$smarty->assign("selected_category", $selected_category);
		$smarty->assign("category_name", $category_name);
		
		$output = $this->display(__FILE__, 'categoriesblock.tpl');
		
		return $output;
	}
	
	function hookLeft($params)
	{
		return $this->hookRight($params);
	}
	
	
}
?>