<?php

class FooterLinks extends Module
{	
	function FooterLinks()
	{
	 	$this->name = 'FooterLinks';
	 	$this->version = '1.0';
        $this->displayName = 'Footer Links';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Footer Links script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to uninstall the Footer Links module?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('footer'))
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	function hookHeader($params)
	{
		global $step;
		
		$output = '';
		
		return $output;
	}
	
	function hookFooter($params)
	{
		global $step, $smarty;
		
		$output = $this->display(__FILE__, 'footerlinks.tpl');
		
		return $output;
	}
	
	
}
?>