<?php

class MainRandomWallpaper extends Module
{	
	function MainRandomWallpaper()
	{
	 	$this->name = 'MainRandomWallpaper';
	 	$this->version = '1.0';
        $this->displayName = 'Random Wallpaper on Home page';
		$this->cacheable = false;
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Main Random Wallpaper script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('content') OR !$this->registerHook('head'))
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	function hookHead($params)
	{
		global $step, $smarty, $DB;
		
		if ($params["page_name"]!="index") return "";
				
		$output = $this->display(__FILE__, 'mainrandomwallpaper_head.tpl');
		
		return $output;
	}
	
	function hookContent($params)
	{
		global $step, $smarty, $DB, $WS, $cache_id;
		
		if ($params["page_name"]!="index") return "";
			
		$items = $DB->getRandom("".DB_PREFIX."items", 'id', " AND `enabled`=1 AND `visible`=1 ", 1);	
		for($i=0; $i<count($items); $i++)
		{
			$items[$i]['thumb_rating'] = rating_bar($items[$i]['id'], '5');
			
			$sql = "SELECT * FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND item_id='".$items[$i]['id']."' ORDER BY b.`sort_order` ASC ";
			$items[$i]['resolutions'] = $DB->getAll($sql);
				
			$items[$i]["ratio"] = PREVENT_HOTLINKING?$WS->getRatioTypeById($items[$i]['id']):$WS->getRatioTypeByShortName($items[$i]['short_name']);
		}
		$smarty->assign("itemsMainRandomWallpaper", $items);
		$smarty->assign("modulePath", $this->_path);
		
		$output = $this->display(__FILE__, 'mainrandomwallpaper.tpl');
		
		return $output;
	}
	
	
	
}
?>