<?

class MainTopVotes extends Module
{	
	function MainTopVotes()
	{
	 	$this->name = 'MainTopVotes';
	 	$this->version = '1.0';
        $this->displayName = 'Top Votes on Home page';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Main Top Votes script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('content') OR !$this->registerHook('head'))
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	function hookHead($params)
	{
		global $step, $smarty, $DB;
		
		if ($params["page_name"]!="index") return "";
				
		$output = $this->display(__FILE__, 'maintopvotes_head.tpl');
		
		return $output;
	}
	
	function hookContent($params)
	{
		global $step, $smarty, $DB;
		
		if ($params["page_name"]!="index") return "";
		
		$sql = "SELECT b.`total_value`/b.`total_votes` as `note`, b.total_votes as `votes`, a.* FROM `".DB_PREFIX."items` a, `".DB_PREFIX."ratings` b WHERE a.id=b.id AND `enabled`=1 AND `visible`=1 AND b.`total_votes` >0 order by b.`total_value`/b.`total_votes` DESC, b.`total_value` DESC, `created` DESC limit 0,10";
		
		$items = $DB->getAll($sql);	
		
		/*for($i=0; $i<count($items); $i++)
		{
			$items[$i]['thumb_rating'] = rating_bar($items[$i]['id'], '5', 'static');
		}*/
		$smarty->assign("itemsMainTopVotes", $items);
		$smarty->assign("modulePath", $this->_path);
		
		$output = $this->display(__FILE__, 'maintopvotes.tpl');
		
		return $output;
	}
	
	
	
}
?>