<?php

class PartnersBlock extends Module
{	
	function PartnersBlock()
	{
	 	$this->name = 'PartnersBlock';
	 	$this->version = '1.0';
        $this->displayName = 'Partners Block';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Partners Block script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('left') )
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	
	function hookRight($params)
	{
		global $step, $smarty, $DB, $cache_id;
		
		$is_cached = false;
		$mainSponsors = $DB->getAll("SELECT * FROM `".DB_PREFIX."sponsors` WHERE `enabled`=1 ORDER BY `sort_order` ASC");
		$smarty->assign("mainSponsors",$mainSponsors);
		$output = $this->display(__FILE__, 'partnersblock.tpl');
		
		return $output;
	}
	
	function hookLeft($params)
	{
		return $this->hookRight($params);
	}
	
	
}
?>