<?php

class StatisticsBlock extends Module
{	
	function StatisticsBlock()
	{
	 	$this->name = 'StatisticsBlock';
	 	$this->version = '1.0';
        $this->displayName = 'Statistics Block';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Statistics Block script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('right') /*OR !$this->registerHook('left')*/)
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	
	function hookRight($params)
	{
		global $step, $smarty, $DB;
		
		//get total wallpapers
		$totalWallpapers = $DB->get("SELECT COUNT(id) as `total` FROM `".DB_PREFIX."items` WHERE `enabled`=1");
		//get total categories
		$totalCategories = $DB->get("SELECT COUNT(id) as `total` FROM `".DB_PREFIX."categories` WHERE `items`>0 AND LENGTH(`short_name`)>1 AND `short_name`!='0___9'  ");
		$totalUsers = $DB->get("SELECT COUNT(id) as `total` FROM `".DB_PREFIX."users` WHERE `enabled`=1");
		$totalComments = $DB->get("SELECT COUNT(id) as `total` FROM `".DB_PREFIX."comments`");
		
		$smarty->assign("totalWallpapers", $totalWallpapers["total"]);
		$smarty->assign("totalCategories", $totalCategories["total"]);
		$smarty->assign("totalComments", $totalComments["total"]);
		$smarty->assign("totalUsers", $totalUsers["total"]);
		$output = $this->display(__FILE__, 'statisticsblock.tpl');
		
		return $output;
	}
	
	function hookLeft($params)
	{
		return $this->hookRight($params);
	}
	
	
}
?>