<?php
if (file_exists($_SERVER["SCRIPT_FILENAME"]) and $_SERVER["argv"][1]=="max")
{
	$arr = explode("/", $_SERVER["SCRIPT_FILENAME"]);
	array_pop($arr);
	array_pop($arr);
	$_SERVER['DOCUMENT_ROOT'] = implode("/", $arr)."/";
}

include_once "../config.php";

// we will do our own error handling
error_reporting(0);

// user defined error handling function
function userErrorHandler($errno, $errmsg, $filename, $linenum, $vars) 
{
    global $siteError;
	// set of errors for which a var trace will be saved
    $user_errors = array(E_USER_ERROR, E_USER_WARNING, E_USER_NOTICE);
	//echo $errmsg."--".$errno."--".E_USER_ERROR."--".E_USER_WARNING."--".E_USER_NOTICE."<br />";
	if (!in_array($errno, $user_errors)) { return false; }
	
	// timestamp for the error entry
    $dt = date("Y-m-d H:i:s (T)");

    // define an assoc array of error string
    // in reality the only entries we should
    // consider are E_WARNING, E_NOTICE, E_USER_ERROR,
    // E_USER_WARNING and E_USER_NOTICE
    $errortype = array (
                E_ERROR              => 'Error',
                E_WARNING            => 'Warning',
                E_PARSE              => 'Parsing Error',
                //E_NOTICE             => 'Notice',
                E_CORE_ERROR         => 'Core Error',
                E_CORE_WARNING       => 'Core Warning',
                E_COMPILE_ERROR      => 'Compile Error',
                E_COMPILE_WARNING    => 'Compile Warning',
                E_USER_ERROR         => 'User Error',
                E_USER_WARNING       => 'User Warning',
                E_USER_NOTICE        => 'User Notice',
                E_STRICT             => 'Runtime Notice',
                E_RECOVERABLE_ERROR  => 'Catchable Fatal Error'
                );
    
    
	if (in_array($errno, $user_errors)) {
		$err = "<errorentry>\n";
		$err .= "\t<datetime>" . $dt . "</datetime>\n";
		$err .= "\t<errornum>" . $errno . "</errornum>\n";
		$err .= "\t<errortype>" . $errortype[$errno] . "</errortype>\n";
		$err .= "\t<errormsg>" . $errmsg . "</errormsg>\n";
		$err .= "\t<scriptname>" . $filename . "</scriptname>\n";
		$err .= "\t<scriptlinenum>" . $linenum . "</scriptlinenum>\n";
		$err .= "\t<vartrace>" . wddx_serialize_value($vars, "Variables") . "</vartrace>\n";
		$err .= "</errorentry>\n\n";
    }
    // for testing
    $siteError->add($err, "error");
	echo $err;
    // save to the error log, and e-mail me if there is a critical user error
    /*error_log($err, 3, "/usr/local/php4/error.log");
    if ($errno == E_USER_ERROR) {
        mail("phpdev@example.com", "Critical User Error", $err);
    }*/
	//echo $err;
}

//$old_error_handler = set_error_handler("userErrorHandler");



if (($_SESSION["user_id"]=="" or $_SESSION["user_data"]["type"]!="admin") and $_SERVER["argv"][1]!="max")
{
	$message->text = "Please login first.<br />";
	$message->status = 2;
	if (!extension_loaded('json')){
		include_once('../includes/JSON.php');
		$json = new JSON;
		$objs = $json->serialize($message);
	}
	else{
		$objs = json_encode($message);
	}
	echo $objs;
	exit();
}

include_once "function_unzip.php";

$destination_folder = LOCAL_PATH."upload";

$zip_folder = LOCAL_PATH."upload";

//if ($_REQUEST['mode']=="unzip")
/*{
	$d = dir($zip_folder);
	
	while (false !== ($entry = $d->read()) ) 
	{
		if ($entry != "." and $entry != "..")
		{
			if (is_file($zip_folder."/".$entry))
			{
				$arr_file = explode(".", $entry);
				if ($arr_file[count($arr_file)-1]=="zip")
				{
					unzip($zip_folder."/".$entry, $destination_folder);
					@unlink($zip_folder."/".$entry);
				}
			}
		}
	}
	
	$d->close();
}*/
/*$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="bulk")
	{
		$test_flag = true;
		break;
	}
}

if ($test_flag===false)
{
	$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `bulk` BIGINT( 255 ) UNSIGNED NOT NULL DEFAULT '0' ");
}
$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="bulk")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag===false)
{
	$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `bulk` BIGINT( 255 ) UNSIGNED NOT NULL DEFAULT '0' ");
}*/

if ($_SERVER["argv"][1]=="max")
	define("BULK_ITEMS_PROCESS", 100000);
else
	define("BULK_ITEMS_PROCESS", 1);



$dir_size = 0;
$dir_size = recursive_directory_size($destination_folder);
$message->dir_size = $dir_size;

$return_text = "";
$return = parse_dir($destination_folder);

$status = 1;
if ($global_counter<BULK_ITEMS_PROCESS)
{
	$status = 2;
}

$message->text = $return_text;
$message->process_data = $process_data;
$message->errors = $siteError->show();
$message->notices = $siteError->show("notices");
$message->success = $siteError->show("success");
$message->status = $status;
$message->counter = $global_counter;



if (!extension_loaded('json')){
	$json = new JSON;
	$objs = $json->serialize($message);
}
else{
	$objs = json_encode($message);
}

echo $objs;
exit();
?>