<?php

include_once "unzip.lib.php";

  function unzip($filename, $destination_folder) {
  	global $siteError;                                           
        if ($filename == '') $siteError->add($LANG->l('Error please enter filename'),"error");
        if ($destination_folder == '') $siteError->add($LANG->l('Error invalid path'),"error");
		
	if (!$siteError->hasErrors())
	{
        if (substr($destination_folder, -1) != '/') {
                                                          
            $destination_folder = $destination_folder .'/';
                                                          
        }
                                                          
                                                          
     $vzip = new SimpleUnzip($filename);

          foreach ($vzip->Entries as $extr) {
          
              $path = $extr->Path;
              $path_folder = explode ('/', $path);
              $new_path = '';
              
                  foreach ($path_folder as $folder) {
                  
                      $new_path .= $folder .'/'; 
                  
                      $to_create = $destination_folder . $new_path;
                      
                          if (substr($to_create, -1) == '/') {
                          
                            $to_create = substr($to_create, 0, strlen($to_create)-1);
                          
                          }
                      
                      @mkdir($to_create, 0777);
                  
                  }
          
              $new_path = '';
              $filev = fopen ($destination_folder. $extr->Path .'/'. $extr->Name, 'w');
              fwrite ($filev, $extr->Data);
              fclose ($filev);
                                                        
          }
          
                                                         
	}
  }



$counter = 0;
$global_counter = 0;
$return_text = "";
$process_data->item_counter = 0;
$process_data->category_counter = 0;
function parse_dir($destination_folder, $category_id=0, $category_name="")
{
	global $WS, $DB, $counter, $global_counter, $return_text, $siteError, $process_data;
	
	$d = dir($destination_folder);
	$parent_id = $category_id;
	
	
	while (false !== ($entry = $d->read()) and $global_counter<BULK_ITEMS_PROCESS) {
		if ($entry != "." and $entry != "..")
			{  
			   @chmod($destination_folder."/".$entry, 0777);
			   if (!is_writable($destination_folder."/".$entry))
			   {
			   		$return_text = "<font color=red>Entry `$entry` is not writable. Please change rights to all files and folders in upload directory to 0777</font> <br />".$return_text;
					return;
			   }
			   if (is_dir($destination_folder."/".$entry))
			   {
			   		$cat_name = WS::makeNameFromFileName($entry);
					//check for category and if necessary add_category
					$category_ret = $WS->add_category($cat_name, "", array($parent_id), "add", true, 1);
					
					if ($category_ret!==false)
					{
						if ($category_ret->exists===false) 
						{
							$return_text = "<font color=green>Category `$entry` created</font> <br />".$return_text;
							$process_data->category_counter++;
						}
						//$return_text .= "Going to `$entry`==`".print_r($category_ret, true)."`<br />";
						@chmod($destination_folder."/".$entry, 0777);
						parse_dir($destination_folder."/".$entry, $category_ret->id, $entry);
						
						//delete category folder if empty
						@rmdir($destination_folder."/".$entry);
					}
					else
					{
						$return_text =  "<font color=red>Error adding category `$entry`</font> <br />".$return_text;
					}
					
					
			   }
			   else
			   {
					
					if (is_file($destination_folder."/".$entry))
					{
						@chmod($destination_folder."/".$entry, 0777);

						$item_name = WS::makeNameFromFileName($entry);
						$item_shortname = $WS->make_short_name(trim($item_name));
						
						$image_info = getimagesize($destination_folder."/".$entry, $info);

				
						if ($image_info[2]!=IMAGETYPE_JPEG)
						{
							$return_text =  "<font color=\"red\">Item `$item_shortname` is not the correct type</font> <br />".$return_text;
							$test = @unlink($destination_folder."/".$entry);
							continue;
						}
						
						//add_item
						if ($category_id == 0)
						{
							$category_ret = $WS->add_category("other", "", array(0), "add", true, 1);
							$category_id = $category_ret->id;
							$category_name = "other";
						}
						if ($category_id != 0)
						{
							
							
							
							$item_id = $WS->upload_wallpaper($item_name, $item_shortname, "", "", "", $category_id, $destination_folder."/".$entry, 1);
							
							if ($item_id!=false)
							{
								$counter++;
								$global_counter++;
								$return_text =  "<font color=\"green\">Adding `$item_shortname` in category `$category_name`</font> <br />".$return_text;
								$process_data->item_counter++;
								
								$test = @unlink($destination_folder."/".$entry);
								if ($test)
									$return_text =  "<font color=\"orange\">Deleting `$item_shortname` from /upload/ folder</font> <br />".$return_text;
								/*else
									$return_text .= "Error removing item `$item_shortname` from temp<br />";
								*/
							}
							else
							{
								$process_data->item_counter++;
								$test = @unlink($destination_folder."/".$entry);
								if ($test)
									$return_text =  "<font color=\"red\">Deleting bad `$entry` from /upload/ folder</font> <br />".$return_text;
							}
						}
						else
						{
							$return_text = "<font color=red>No category found for `$item_shortname`</font> <br />".$return_text;
						}
						
						//remove_item($destination_folder."/".$entry);
					}
				}
			}
			
	   }
	$d->close();

	
}




?>