<?php
class siteError
{
	var $errors = array();
	
	function siteError()
	{
		global $GLOBALS;
		
		$this->errors["error"] = array();
		$this->errors["success"] = array();
		$this->errors["notices"] = array();
		$this->errors["critical"] = array();
		if (isset($GLOBALS["glb_site_errors"])) 
		{
			foreach ($GLOBALS["glb_site_errors"] as $k=>$v)
				$this->errors[$k] = array_unique($v);
		}
	}
	
	function add($error, $type="error")
	{
		global $GLOBALS;
		if (!is_array($this->errors[$type]))
			$this->errors[$type] = array();
		array_push($this->errors[$type], $error);
		$GLOBALS["glb_site_errors"][$type] = $this->errors[$type];
		
	}
	
	function show($type="error")
	{
		global $GLOBALS;
		
		$return = '';
		
		if (is_array($this->errors[$type]))
		{
			foreach ($this->errors[$type] as $error)
			{
				$return .= htmlentities($error)."<br />";
			}
		}
		if ($return!='')
			$return = $return.'<div style="display:none;">'.$type.'</div>';
		$GLOBALS["glb_site_errors"][$type] = "";
		$GLOBALS["glb_site_errors"][$type] = array();
		unset($GLOBALS["glb_site_errors"][$type]);
		
		return $return;
	}

	function hasErrors($type="error")
	{
		return count($this->errors[$type])?true:false;
	}
	
}
?>