<?php
// put these function somewhere in your application
function db_get_template ($tpl_name, &$tpl_source, &$smarty_obj)
{
	// do database call here to fetch your template,
	// populating $tpl_source
	$sql = new db;
	$str = "SELECT `content`
	FROM ".DB_PREFIX."contentpages a, ".DB_PREFIX."contentpages_data b, ".DB_PREFIX."languages c
	WHERE 
	c.id=b.language_id AND 
	a.id=b.contentpage_id AND b.page_name='$tpl_name' AND 
	(b.language_id='".LANGUAGE_ID."' OR c.language_sort=0) 
	ORDER BY language_sort DESC ";
	
	$row = $sql->get($str);
	if ($row!==false) {
		$tpl_source = $row['content'];
		return true;
	} else {
		return false;
	}
}
function db_get_timestamp($tpl_name, &$tpl_timestamp, &$smarty_obj)
{
	// do database call here to populate $tpl_timestamp.
	$sql = new db;
	$row = $sql->get("SELECT modified
	FROM ".DB_PREFIX."contentpages a, ".DB_PREFIX."contentpages_data b, ".DB_PREFIX."languages c
	WHERE 
	c.id=b.language_id AND 
	a.id=b.contentpage_id AND b.page_name='$tpl_name' AND 
	(b.language_id='".LANGUAGE_ID."' OR c.language_sort=0) ORDER BY language_sort DESC ");
	if ($row!==false) {
		$tpl_timestamp = $row['modified'];
		return true;
	} else {
		return false;
	}
}
function db_get_secure($tpl_name, &$smarty_obj)
{
	// assume all templates are secure
	return true;
}
function db_get_trusted($tpl_name, &$smarty_obj)
{
	// not used for templates
}
// register the resource name "db"
$smarty->register_resource("db", array("db_get_template",
"db_get_timestamp",
"db_get_secure",
"db_get_trusted"));

?>