<?php
class lang
{
	function l($string, $params=array())
	{
		global $_LANG, $_MODULES, $_MODULE, $cookie;
		$args = func_get_args();
		$arr = array();
		foreach($params as $k=>$v)
		{
			if (preg_match('/p[0-9]+/i', $k))
				$arr[] = $v;
		}
		
		
		$id_lang = (!isset($cookie) OR !is_object($cookie)) ? LANG_DEFAULT : $cookie->id_lang;
		
		if ($params['mod']!=NULL)
		{
			$page = $params['page'];
			$mod = $params['mod'];
			$file = MODULES_DIR.mb_strtolower($mod).'/'.$id_lang.'.php';
			if (file_exists($file) AND include_once($file))
				$_MODULES = !empty($_MODULES) ? array_merge($_MODULES, $_MODULE) : $_MODULE;
	
			if (!is_array($_MODULES))
				return (str_replace('"', '&quot;', vsprintf($string, $arr)));
	
			$string2 = str_replace('\'', '\\\'', $string);
			$currentKey = '<{'.$mod.'}'.TEMPLATE.'>'.$page.'_'.md5($string2);
			$defaultKey = '<{'.$mod.'}default>'.$page.'_'.md5($string2);
			$generalKey = md5($string2);
	
			if (key_exists($currentKey, $_MODULES))
				$ret = stripslashes($_MODULES[$currentKey]);
			elseif (key_exists($defaultKey, $_MODULES))
				$ret = stripslashes($_MODULES[$defaultKey]);
			elseif (key_exists($generalKey, $_MODULES))
				$ret = stripslashes($_LANG[$generalKey]);
			else
				$ret = $string;
			
			return str_replace('"', '&quot;', vsprintf($ret, $arr));
		}
		else
		{
			
			$key = md5($string);
			$string = (is_array($_LANG) AND key_exists($key, $_LANG)) ? html_entity_decode(($params['js'] ? addslashes($_LANG[$key]) : stripslashes($_LANG[$key])), ENT_COMPAT, 'UTF-8') : $string;
		}
		return (str_replace('"', '&quot;', vsprintf($string, $arr)));
	}
	
	function url($string)
	{
		global $_LANG_LINKS;
		$key = base64_encode($string);
		$string = (is_array($_LANG_LINKS) AND key_exists($key, $_LANG_LINKS)) ? html_entity_decode(($params['js'] ? addslashes($_LANG_LINKS[$key]) : stripslashes($_LANG_LINKS[$key])), ENT_COMPAT, 'UTF-8') : $string;
			
		return $string;
	}
	function reverse_url($string)
	{
		global $_LANG_LINKS;
		$value = $string;
		$key = $string;
		if (is_array($_LANG_LINKS) and in_array($value, $_LANG_LINKS))
			$key = base64_decode(array_search($value, $_LANG_LINKS)); 
			
		return $key;
	}
	
	function setCookieLanguage()
	{
		global $cookie, $_GET, $_SERVER;

		/* Language switching */
		if ($id_lang = $_GET['id_lang'])
		{
			$cookie->id_lang = $id_lang;
			$cookie->update();
		}
		
		/* Automatically detect language if not already defined */
		if (!$cookie->id_lang and isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))
		{
			$array = split(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
			if (is_string($array[0]))
			{
				$cookie->id_lang = strval($array[0]);
			}
		}
		
		/* If language file not present, you must use default language file */
		if (!$cookie->id_lang OR !is_numeric($cookie->id_lang))
			$cookie->id_lang = LANG_DEFAULT;
		
		$iso = $cookie->id_lang;
	
		@include_once(LOCAL_PATH.'/languages/links/'.$iso.'.php');
		@include_once(TEMPLATE_LOCAL_ROOT.TEMPLATE.'/lang/'.$iso.'.php');
		return $iso;
	}
	
}
?>