<?php
include_once "inc.thumbnailer.php";

class ws 
{
	var $categoryTree = null;
	function __preProcess()
	{
		global $page_name, $page_name_pieces, $short_page_name, 
			   $resolution_name_arr, $resolution_name, $category_name, 
			   $short_page_name, $WS, $page_name_pieces_wo_page, $page_username, 
			   $LANG;
		$page_name[0] = $LANG->reverse_url($page_name[0]);
		switch ($page_name[0])
		{
			case "top_wallpapers":
			case "random_wallpapers":
			case "latest_wallpapers":
			case "top_viewed_wallpapers":
				$page_name = $page_name[0];
				break;
			case "members": 
			
				$page_name = "users";
				$page_username = $page_name_pieces[1];
				//var_dump($page_name_pieces);
				break;
			case "categories": 
			
				$page_name = "categories";
				$category_name = $page_name_pieces[1];
				break;
			case "search":
			default:
				//var_dump($page_name);
				$page_name = explode(".", $page_name[0]);
				
				$page_name = $page_name[0];
				$short_page_name = $page_name;
				
				/*if (strpos($page_name, $LANG->l('view').URL_TOKEN_SEPARATOR)!==false and 
						strpos($page_name, $LANG->l('view').URL_TOKEN_SEPARATOR)==0)
				{
					$page_name_pieces[1] = str_replace($LANG->l('view').URL_TOKEN_SEPARATOR, "", $page_name); 
					$page_name = "view";
					break;
				}
				if (strpos($page_name, $LANG->l('download').URL_TOKEN_SEPARATOR)!==false and 
						strpos($page_name, $LANG->l('download').URL_TOKEN_SEPARATOR)==0) 
				{
					$page_name_pieces[1] = str_replace($LANG->l('download').URL_TOKEN_SEPARATOR, "", $page_name); 
					$page_name = "download";
					break;
				}*/
				
				
				if (URL_STYLE==1)
				{
					if (strpos($page_name_pieces[0],"search")!==false) {$page_name = "search"; $short_page_name = $page_name_pieces_wo_page[1]; }
					else if ($page_name=="" or $page_name=="page") $page_name = "index";
					else if (strpos($page_name,mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('wallpapers').URL_TOKEN_SEPARATOR."r"))!==false) 
						{ 
							$resolution_name_arr = str_replace(mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('wallpapers').URL_TOKEN_SEPARATOR."r"), "", $page_name); 
							$resolution_name_arr = explode(URL_TOKEN_SEPARATOR, $resolution_name_arr);
							$resolution_name = $resolution_name_arr[0];
							$page_name = "resolutions"; 
						}
					else if (strpos($page_name,mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('desktop%swallpapers', array('p1'=>URL_TOKEN_SEPARATOR))))!==false) {
						$page_name = "category"; 
						$short_page_name = str_replace(mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('desktop%swallpapers', array('p1'=>URL_TOKEN_SEPARATOR))),"",$short_page_name); 
						$category_name = $short_page_name;
					}
					else if (strpos($page_name,mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('wallpapers')))!==false) 
					{
						$page_name = "wallpaper"; 
						$short_page_name = str_replace(mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('wallpapers')),"",$short_page_name); 
					}
				}
				if (URL_STYLE==2)
				{
					if (strpos($page_name_pieces[0],"search")!==false) {$page_name = "search"; $short_page_name = $page_name_pieces_wo_page[1]; }
					else if ($page_name=="" or $page_name=="page") $page_name = "index";
					else if (strpos($page_name,URL_TOKEN_SEPARATOR."r")!==false) 
						{ 
							$resolution_name_arr = str_replace(URL_TOKEN_SEPARATOR."r", "", $page_name); 
							$resolution_name_arr = explode(URL_TOKEN_SEPARATOR, $resolution_name_arr);
							$resolution_name = $resolution_name_arr[0];
							$page_name = "resolutions"; 
						}
					else if ($WS->is_cat($page_name) and ($page_name_pieces[1]=="" or $page_name_pieces[1]=="page")) 
					{
						$page_name = "category"; 
						$short_page_name = str_replace(mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('desktop%swallpapers', array('p1'=>URL_TOKEN_SEPARATOR))),"",$short_page_name); 
						$category_name = $short_page_name;
						
					}
					else 
					{
						$page_name_tmp = explode(".", $page_name_pieces[1]);
						$page_name_tmp = $page_name_tmp[0];
						if ($WS->is_wallpaper($page_name_tmp)) 
						{
							$short_page_name = str_replace(mb_strtolower(URL_TOKEN_SEPARATOR.$LANG->l('wallpapers')),"",$page_name_tmp); 
							$page_name = "wallpaper"; 
						}
					}
				}
				break;
		}
	}
	
	function cleanPreURL($url)
	{
		$arrURL = explode('/', $url);
		return $arrURL[count($arrURL)-1];
	}
		
	function url($url, $type)
	{
		global $DB, $categories_ids, $LANG;
		$init_url = $url;
		if (trim($url) == '') return $url;
		if (URL_STYLE==1)
		{
			switch ($type)
			{
				case "cat":
					if (CATEGORY_IN_URL==false) $url = WS::cleanPreURL($url);
					$url .= URL_TOKEN_SEPARATOR.$LANG->l('desktop%swallpapers', array('p1'=>URL_TOKEN_SEPARATOR)).PAGE_EXTENSION;
					break;
				case "item":
					if (CATEGORY_IN_URL==false) $url = WS::cleanPreURL($url);
					$url .= URL_TOKEN_SEPARATOR.$LANG->l('wallpapers').PAGE_EXTENSION;
					break;
				case "resolution":
					$url .= URL_TOKEN_SEPARATOR.$LANG->l('wallpapers').URL_TOKEN_SEPARATOR."r".PAGE_EXTENSION;
					break;
				case "categories":
					$url = "categories/".$url."/";
					break;
				case "user":
					$url = "members/".$url."/";
					break;
				case "search":
					$url = "search".PAGE_EXTENSION.'?q='.urlencode($url);
					break;
				case "tag":
					$url = "tag/".urlencode($url).PAGE_EXTENSION;
					break;
				default:
					if (substr($url,strlen($url)-1,1)!="/") $url = $url."".PAGE_EXTENSION;
					break;
			}
		}
		if (URL_STYLE==2)
		{
			switch ($type)
			{
				case "cat":
					if (CATEGORY_IN_URL==false) $url = WS::cleanPreURL($url);
					$url .= "".PAGE_EXTENSION;
					break;
				case "item":
					if (CATEGORY_IN_URL==false) $url = WS::cleanPreURL($url);
					$sql = "SELECT b.`short_name` FROM `".DB_PREFIX."items` c, `".DB_PREFIX."items_categories` a, `".DB_PREFIX."categories` b  WHERE c.`short_name`='".$url."' AND c.id=a.item_id AND a.category_id=b.id";
					$category = $DB->get($sql);
					
					$url = $category["short_name"]."/".$url.PAGE_EXTENSION;
					break;
				case "resolution":
					$url .= URL_TOKEN_SEPARATOR."r".PAGE_EXTENSION;
					break;
				case "categories":
					
					$url = "categories/".$url."/";
					break;
				case "user":
					$url = "members/".$url."/";
					break;
				case "search":
					$url = "search/".$url."".PAGE_EXTENSION;
					break;
				case "tag":
					$url = "tag/".urlencode($url).PAGE_EXTENSION;
					break;
				default:
					if (substr($url,strlen($url)-1,1)!="/") $url = $url."".PAGE_EXTENSION;
					break;
			}
		}
		
		return ($init_url!="")?$url:$init_url;
	}
	
	
	function is_cat($short_name)
	{
		global $DB;
		$sql = "SELECT `id` FROM `".DB_PREFIX."categories` WHERE `short_name`='".$short_name."' ";
		$category = $DB->get($sql);
		if (is_numeric($category["id"]) and $category["id"]>0)
			return true;
		else
			return false;
	}
	function is_wallpaper($short_name)
	{
		global $DB;
		$sql = "SELECT `id` FROM `".DB_PREFIX."items` WHERE `short_name`='".$short_name."' ";
		$category = $DB->get($sql);
		if (is_numeric($category["id"]) and $category["id"]>0)
			return true;
		else
			return false;
	}
	
	function show_input($field , $data = "")
	{
		global $_REQUEST;
		if (trim($data)=="")
		{
			$data = $_REQUEST[$field["name"]];
		}
		$id = $field["name"];
		if ($field["id"])
		{
			$id = $field["id"];
		}
		
		//drawing the fields
		$type = $field["type"];
		$return = "";
		if ($field["readonly"])
		{
			$readonly = ' readonly="readonly" ';
		}
		$checked = "";
		
		$disabled = "";
		if ($field["disabled"])
		{
			$disabled = ' disabled="disabled" ';
		}
		$size = "";
		if ($field["size"]!="")
		{
			$size = ' size="'.$field["size"].'" ';
		}
		$rows = "";
		if ($field["rows"]!="")
		{
			$rows = 'rows="'.$field["rows"].'" ';
		}
		$cols = "";
		if ($field["cols"]!="")
		{
			$cols = ' cols="'.$field["cols"].'" ';
		}
		
		if ($field["style"]!="")
		{
			$style = ' style="'.$field["style"].'" ';
		}
		
		$str_length = '';
		if ($field["maxlength"]!="")
			$str_length = 'maxlength="'.$field["maxlength"].'"';
		
		switch ($type) {
			case "hidden":
				$return .= '<input name="'.$field["name"].'" id="'.$id.'"'.$disabled.''.$readonly.'type="hidden" value="'.$data.'" />';
				break;
			case "text":
				$return .= '<input name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$str_length.''.($field['class']!=""?'class="'.$field['class'].'"':'').' '.$disabled.' '.$readonly.' type="text" value="'.$data.'" />';
				break;
			case "checkbox":
				if ($field["checked"])
				{
					$checked = ' checked="checked" ';
				}
				else
				{
					if ($data==1)
						$checked = ' checked="checked" ';
				}
				$return .= '<input name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$str_length.''.($field['class']!=""?'class="'.$field['class'].'"':'').' '.$disabled.' '.$readonly.' type="checkbox" value="1" '.$checked.' style="width:auto;" />';
				
				break;
			case "radio":
				if ($data==$_REQUEST[$field["name"]])
						$checked = ' checked="checked" ';
				$return .= '<input name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$str_length.''.($field['class']!=""?'class="'.$field['class'].'"':'').' '.$disabled.' '.$readonly.' type="radio" value="'.$data.'" '.$checked.' style="width:auto;" />';
				
				break;
			case "file":
				$return .= '<input name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$disabled.''.$size.''.$str_length.''.($field['class']!=""?'class="'.$field['class'].'"':'').' type="file" />';
				break;
			case "password":
				$return .= '<input name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$str_length.''.$disabled.''.$readonly.''.($field['class']!=""?'class="'.$field['class'].'"':'').' type="password" value="" />';
				break;
			case "textarea":
				/*
				init rows and cols default values
				*/
				$return .= '<textarea name="'.$field["name"].'" '.$style.' id="'.$id.'"'.$rows.''.$cols.''.$readonly.''.($field['class']!=""?'class="'.$field['class'].'"':'').'>'.$data.'</textarea>';
				break;	
		}
		
		echo $return;
			
	}	
	
	
	function make_short_name($str)
	{
		$arr_find    = array(">", "<", "*", "  ", 					   ".JPG", ".jpg", " ", "?", "=", "/", URL_TOKEN_SEPARATOR, ".", 
			"'", '"', "\\", "#", "(", ")", "[", "]", "{", "}", "`", ",", ";", "&", ":");
		$arr_replace = array("",  "",  "",  "".URL_WORD_SEPARATOR."",  "",     "",     "".URL_WORD_SEPARATOR."", "",  "",  "".URL_WORD_SEPARATOR."", "".URL_WORD_SEPARATOR."", "".URL_WORD_SEPARATOR."", 
			"",  "",  "",   "",  "",  "",  "",  "",  "",  "",  "",  "",  "",  "", "".URL_WORD_SEPARATOR."");
		
		$accent=array('À','Á','Â','Ã','Ä','Å','Æ','Ç','È','É','Ê','Ë','Ì','Í','Î','Ï','Ð','Ñ','Ò','Ó','Ô','Õ','Ö','Ø','Ù','Ú','Û','Ü','Ý','Þ','ß','à','á','â','ã','ä','å','æ','ç','è','é','ê','ë','ì','í','î','ï','ð','ñ','ò','ó','ô','õ','ö','ø','ù','ú','û','ý','ý','þ','ÿ',
		'I', 'Ğ', 'Ü', 'Ş', 'İ', 'Ö', 'Ç', 'ı', 'ğ', 'ü', 'ş', 'ö', 'ç');
		
	  
	  $noaccent=array('a','a','a','a','a','a','a','c','e','e','e','e','i','i','i','i','d','n','o','o','o','o','o','o','u','u','u','u','y','b','s','a','a','a','a','a','a','a','c','e','e','e','e','i','i','i','i','d','n','o','o','o','o','o','o','u','u','u','y','y','b','y',
		'i', 'g', 'u', 's', 'i', 'o', 'c', 'i', 'g', 'u', 's', 'o', 'c');
        
		
		$arr_encoded = array();
		foreach($arr_find as $k=>$v)
		{
			$arr_encoded[] = urlencode($v);
		}
		
		$str = str_replace($accent, $noaccent, $str); 
				
		$str = mb_strtolower($str, "UTF-8");
		$str = str_replace($arr_find, $arr_replace, $str);
		
		$str = str_replace($arr_encoded, $arr_replace, $str);
		
		$str = htmlentities($str, ENT_COMPAT, "UTF-8");
		
		$str = mb_substr(urlencode($str), 0, 240, "UTF-8");
		
		return $str;
	}
	
	function item_short_name($short_name, $id, $table="items", $short_name_col='short_name', $id_col='id')
	{
		global $DB, $LANG;
		$test_short_name = false;
		
		while (!$test_short_name)
		{
			$sql = "SELECT `id`,`short_name` FROM `".DB_PREFIX.$table."` WHERE `".$short_name_col."`='".$short_name."' and `".$id_col."`!='".$id."'";
			$item = $DB->get($sql);
			if ($item[$id_col]!="")
			{
				$arr_p = explode("_", $short_name);
				
				if (is_numeric($arr_p[count($arr_p)-1]))
				{
					$cn = $arr_p[count($arr_p)-1];
					
					$nn = $cn+1;
					$short_name_temp = "";
					
					if (count($arr_p)-1==0)
						$short_name_temp = $arr_p[0];	
					$short_name_temp .= mb_substr($short_name,0,mb_strlen($short_name)-mb_strlen($cn)-1)."_$nn";
					$short_name = $short_name_temp;
				}
				else
				{
					$short_name =  $short_name."_2";
				}
			}
			else
			{
				$test_short_name = true;
			}
		}
		
		return $short_name;
	
	}
	
	
	function upload_wallpaper($name, $short_name, $keywords, $id, $author_id, $category, $sourceFile="", $bulk=0, $old_short_name="")
	{
		global $DB, $WS, $_SESSION, $_FILES, $mainResolutions, $thumbnails, $siteError, $LANG, $_REQUEST;
		$_SESSION['LAST_WALLPAPER_ID'] = "";
		if ($short_name=="")
		{
			$short_name = $this->make_short_name($name);
		}
		if (!is_array($category))
		{
			$category = array($category);
		}
		
	
		$bulk_data = 0;
		if ($sourceFile!="" and $bulk==1)
		{
			$bulk_data = filesize($sourceFile);
			
			$sql = "SELECT id FROM `".DB_PREFIX."items` WHERE `short_name` REGEXP '^".$short_name."(_[0-9]+)*$' AND `bulk`='".$bulk_data."' ";
			
			$test = $DB->getAll($sql);
			if (count($test)>0)
			{
				$siteError->add($LANG->l('Error wallpaper %s already imported', array('p1' => $short_name)),"notices");
				return false;
			}
		}
		$short_name = $this->item_short_name($short_name, $id);
		//echo $short_name;
		
		
		if ($old_short_name!="")
		{
			if (PREVENT_HOTLINKING)
			{
			}
			else
			{
				if ($short_name!=$old_short_name)
				{
					for ($i=0;$i<count($thumbnails);$i++)
					{
						
						$thumbnailPath = THUMBS_PATH.$old_short_name."-t".($i+1).".jpg";
						$newThumbnailPath = THUMBS_PATH.$short_name."-t".($i+1).".jpg";
						//echo $thumbnailPath."<br />";
						//echo $newThumbnailPath."<br />";
						//exit();
						if (file_exists($thumbnailPath))
							@rename($thumbnailPath, $newThumbnailPath);
					}	
					$ratios = $this->getRatioArray($old_short_name);
					
					for ($x=0;$x<count($ratios);$x++)
					{
						$thumbnailPath = WALLPAPERS_PATH.$old_short_name.URL_TOKEN_SEPARATOR.$ratios[$x].".jpg";
						$newThumbnailPath = WALLPAPERS_PATH.$short_name.URL_TOKEN_SEPARATOR.$ratios[$x].".jpg";
						
						if (file_exists($thumbnailPath))
							@rename($thumbnailPath, $newThumbnailPath);
					}
					
					foreach ($mainResolutions as $k=>$v)
					{
						$width = $v["width"];
						$height = $v["height"];
						$thumbnailPath = WALLPAPERS_PATH.$old_short_name.URL_TOKEN_SEPARATOR.$width."x".$height.".jpg";
						//echo $thumbnailPath."<br />";
						$newThumbnailPath = WALLPAPERS_PATH.$short_name.URL_TOKEN_SEPARATOR.$width."x".$height.".jpg";
						//echo $newThumbnailPath."<br />";
						if (file_exists($thumbnailPath))
							@rename($thumbnailPath, $newThumbnailPath);
					}	
						
				}
			}
			//exit();
		}
		
		$is_added = false;
		if ($id!="")
		{
			$sql = "UPDATE `".DB_PREFIX."items` SET `category_path`='', `modified`=NOW(), `keywords`='".$DB->s($keywords)."', `name`='".$name."', `short_name`='".$short_name."', `author_id`='".$author_id."', `item_url`='".$_REQUEST['item_url']."', `item_description`='".$_REQUEST['item_description']."'
			, `meta_title`='".$_REQUEST['meta_title']."'
			, `meta_keywords`='".$_REQUEST['meta_keywords']."'
			, `meta_description`='".$_REQUEST['meta_description']."'
			
			 WHERE `id`='".$id."' ";
			$DB->query($sql);
		}
		else
		{
			$is_added = true;
			$sql = "INSERT INTO `".DB_PREFIX."items` SET `category_path`='', `created`=NOW(), `modified`=NOW(), `enabled`='0', `visible`='1', `keywords`='".$DB->s($keywords)."', `name`='".$name."', `short_name`='".$short_name."', `author_id`='".$author_id."', `bulk`='".$bulk_data."', `item_url`='".$_REQUEST['item_url']."', `item_description`='".$_REQUEST['item_description']."'
			, `meta_title`='".$_REQUEST['meta_title']."'
			, `meta_keywords`='".$_REQUEST['meta_keywords']."'
			, `meta_description`='".$_REQUEST['meta_description']."'
			 ";
			$ret_test = $DB->query($sql);
			
			if ($ret_test!==false)
			{
				$id = $DB->last_id();
				$_SESSION['LAST_WALLPAPER_ID'] = $id;
				$sql = "INSERT INTO `".DB_PREFIX."users_items` SET `user_id`='".$_SESSION["user_id"]."', `item_id`='".$id."' ";
				$DB->query($sql);
				if ($_SESSION["user_data"]["type"]=="admin")
				{
					$sql = "UPDATE `".DB_PREFIX."items` SET `enabled`='1' WHERE `id`='".$id."' ";
					$DB->query($sql);
				}
			}
		}
		
		if ($ret_test!==false)
		{
			$DB->query("DELETE FROM `".DB_PREFIX."items_categories` WHERE `item_id`='".$id."'");
			if (is_array($category))
			{
				$category = array_unique($category);
				for ($i=0;$i<count($category);$i++)
				{
					$sql = "INSERT INTO `".DB_PREFIX."items_categories` SET `item_id`='".$id."', `category_id`='".$category[$i]."' ";
					$DB->query($sql);
					$_SESSION["old_category_id"] = $category[$i];
				}
				$this->buildCatPath($id);
			}
			if ($is_added) $this->updateTotalWallpapers(array("wall_id" => $id), 1);
			
			$DB->query("DELETE FROM `".DB_PREFIX."tags_items` WHERE `item_id`='".$id."'");
			$tags = $_REQUEST['tags'];
			if (is_array($tags))
			{
				$tags = array_unique($tags);
				foreach ($tags as $index=>$tag_id)
				{
					$sql = "INSERT INTO `".DB_PREFIX."tags_items` SET `item_id`='".$id."', `tag_id`='".$tag_id."' ";
					$DB->query($sql);
				}
			}
			
			if ($sourceFile!="")
			{
				$photoId = $id;
				$test_error = false;
				$info = array();
				$image_info = getimagesize($sourceFile, $info);

				
				if ($image_info[2]!=IMAGETYPE_JPEG)
				{
					$test_error = true;
					$siteError->add($LANG->l('Error image type for %s', array('p1' => $sourceFile)), "error");
					$this->deleteWallpaper($photoId);
					//redirect();
					return false;
				}
				
				if ($test_error===false)
				{
					$upload_test = $this->generate_thumbnails($sourceFile, $photoId, false, $short_name);
					if ($upload_test===false)
					{
						$siteError->add($LANG->l('Error generating thumbs for %s', array('p1' => $sourceFile)), "error");
						$this->deleteWallpaper($photoId);
						return false;
					}
				}
			}
			
			/**
			File URL upload section
			**/
			if($_REQUEST["filenameurl"] != "") {
				$photoId = $id;
				
				$test_error = false;
				$sourceFile = $_REQUEST["filenameurl"];
				if ($sourceFile == "") continue;
				
				$image_info = getimagesize($sourceFile);

				if ($image_info[2]!=IMAGETYPE_JPEG)
				{
					$test_error = true;
					$siteError->add($LANG->l('Error image type for %s', array('p1' => $sourceFile)),"error");
					
					return false;
				}
				
				if ($test_error===false)
				{
					$upload_test = $this->generate_thumbnails($sourceFile, $photoId, false, $short_name);
					if ($upload_test===false)
					{
						$siteError->add($LANG->l('Error generating thumbs for %s', array('p1' => $sourceFile)), "error");
						return false;
					}
				}
				
			}
			/**
			End File Url upload section
			**/
			
			/**
			Multi upload section
			**/
			if (is_array($_REQUEST['multifile']) and count($_REQUEST['multifile'])>0)
			{
				for ($xi=0;$xi<count($_REQUEST['multifile']);$xi++)
				{
					$photoId = $id;
					$test_error = false;
					$sourceFile = $_REQUEST['multifile'][$xi];
					if ($sourceFile == "") continue;
					if (strpos($_REQUEST['multifile'][$xi], $_SESSION["user_id"]."_") != 0) 
					{
						$siteError->add($LANG->l('Error hack attempt for %s', array('p1' => $sourceFile)),"error");
						return false;
					}
					$sourceFile = LOCAL_PATH."temp_upload/".$_REQUEST['multifile'][$xi];
					
					$image_info = getimagesize($sourceFile);

					if ($image_info[2]!=IMAGETYPE_JPEG)
					{
						$test_error = true;
						$siteError->add($LANG->l('Error image type for %s', array('p1' => $sourceFile)),"error");
						@unlink($sourceFile);
						continue;
						//redirect();
					}
					
					if ($test_error===false)
					{
						$upload_test = $this->generate_thumbnails($sourceFile, $photoId, false, $short_name);
						if ($upload_test===false)
						{
							$siteError->add($LANG->l('Error generating thumbs for %s', array('p1' => $sourceFile)), "error");
							@unlink($sourceFile);
							continue;
						}
						@unlink($sourceFile);
					}
				}
			}
			/**
			End Multi upload section
			**/
			
			$arr_files = array("filename");
			
			foreach ($arr_files as $fieldname)
			{
				for ($xi=0;$xi<count($_FILES[$fieldname]['tmp_name']);$xi++)
				{
					if($_FILES[$fieldname]['error'][$xi] == 0) {
						$photoId = $id;
						
						$test_error = false;
						$sourceFile = $_FILES[$fieldname]['tmp_name'][$xi];
						if ($sourceFile == "") continue;
						
						$image_info = getimagesize($sourceFile);
	
						if ($image_info[2]!=IMAGETYPE_JPEG)//(!eregi("jpeg|gif|jpg|png", $_FILES[$fieldname]['type'])) 
						{
							$test_error = true;
							$siteError->add($LANG->l('Error image type for %s', array('p1' => $sourceFile)),"error");
							continue;
							//redirect();
						}
						
						if ($test_error===false)
						{
							$upload_test = $this->generate_thumbnails($sourceFile, $photoId, true, $short_name);
							if ($upload_test===false)
							{
								$siteError->add($LANG->l('Error generating thumbs for %s', array('p1' => $sourceFile)), "error");
								continue;
							}
						}
						
					}
				}
			}
			
			
			
			return true;
		}
	
	}
	
	function buildCatPathCategory($id)
	{
		global $DB;
		$parents = WS::getParents($id);
		
		$arr_url = array();
		for($i=0;$i<count($parents);$i++)
		{
			$category = new Category($parents[$i]);
			$arr_url[] = $category->short_name;
		}
		if (count($arr_url)>0)
			$url_tmp = implode('/', $arr_url).'/';
		
		if (isset($url_tmp) and $url_tmp!='')
		{
			$DB->query("UPDATE `".DB_PREFIX."categories` SET `category_path`='".$url_tmp."' WHERE `id`='".$id."' ");
		}
			
		return $url_tmp;
	}
	
	function buildCatPath($id)
	{
		global $DB;
		/**
		Get the category and parent category for this wallpaper
		**/
		$url = '';
		$arr_url = array();
		$cat = $DB->get("SELECT b.`category_id`, c.short_name FROM `".DB_PREFIX."items_categories` b, 
		`".DB_PREFIX."categories` c 
		WHERE c.id=b.category_id AND b.`item_id`='".$id."' ORDER BY b.`category_id` ASC LIMIT 0,1");
		if (isset($cat['category_id']))
		{
			#$parents = WS::getParents($cat['category_id']);
			#$arr_url[] = $categories_ids[$cat['category_id']]['short_name'];
			#for($i=0;$i<count($parents);$i++)
			#{
			#	$arr_url[] = $categories_ids[$parents[$i]]['short_name'];
			#}
			
			
			$url_tmp = $cat['short_name'] . '/' ;
			$parent_cat = $DB->get("SELECT cc.parent_id, c.short_name FROM `".DB_PREFIX."categories_categories` cc, `".DB_PREFIX."categories` c WHERE cc.`parent_id`=c.id AND   cc.`category_id`='".$cat['category_id']."' ORDER BY cc.`parent_id` ASC LIMIT 0,1");		
			if (isset($parent_cat['parent_id']))
			{
				$url_tmp = $parent_cat['short_name'] . '/' . $url_tmp;
				$parent_cat = $DB->get("SELECT cc.parent_id, c.short_name FROM `".DB_PREFIX."categories_categories` cc, `".DB_PREFIX."categories` c WHERE cc.`parent_id`=c.id AND   cc.`category_id`='".$parent_cat['parent_id']."' ORDER BY cc.`parent_id` ASC LIMIT 0,1");		
				if (isset($parent_cat['parent_id']))
				{
					$url_tmp = $parent_cat['short_name'] . '/' . $url_tmp;
				}
			}
			$url = $url_tmp . $url;
			if (isset($url_tmp) and $url_tmp!='')
			{
				$DB->query("UPDATE `".DB_PREFIX."items` SET `category_path`='".$url_tmp."' WHERE `id`='".$id."' ");
			}
		}

		//$arr_url = array_reverse($arr_url);
		//$url = implode('/', $arr_url).'/'.$url;
		/**
		End get category and parent category 
		**/
		return $url;
	}
	
	function getRatioTypeById($id)
	{
		global $mainRatioTypes;
		foreach ($mainRatioTypes as $k=>$v)
		{
			$filesizeName = $id.URL_TOKEN_SEPARATOR.$k.".jpg";
			$fullsizePath = WALLPAPERS_PATH.$filesizeName;
			if (file_exists($fullsizePath))
			{
				return $k;
			}
		}
	}
	
	function getRatioArray($id)
	{
		global $mainRatioTypes;
		$return = array();
		foreach ($mainRatioTypes as $k=>$v)
		{
			$filesizeName = $id.URL_TOKEN_SEPARATOR.$k.".jpg";
			$fullsizePath = WALLPAPERS_PATH.$filesizeName;
			if (file_exists($fullsizePath))
			{
				$return[] = $k;
			}
		}
		return $return;
	}
	
	function getRatioTypeByShortName($id)
	{
		global $mainRatioTypes;
		foreach ($mainRatioTypes as $k=>$v)
		{
			$filesizeName = $id.URL_TOKEN_SEPARATOR.$k.".jpg";
			$fullsizePath = WALLPAPERS_PATH.$filesizeName;
			if (file_exists($fullsizePath))
			{
				return $k;
			}
		}
	}
	
	function getRatioType($ratio)
	{
		global $mainRatioTypes;
		$ratio_type = "";
		foreach ($mainRatioTypes as $k=>$v)
		{
			if ($ratio==$v)
			{
				$ratio_type = $k;	
				break;
			}
			if ($v==0)
			{
				$default = $k;
			}
		}
		return $ratio_type!=""?$ratio_type:$default;
	}
	
	function generate_thumbnails($sourceFile, $photoId, $uploaded=true, $short_name="")
	{
		global $siteError, $DB, $LANG, $mainResolutions, $thumbnails;
		
		
		
		if ($short_name == "")
		{
			$short_name = $photoId;
		}
		
		if (PREVENT_HOTLINKING)
		{
			$file_prefix = $photoId;
		}
		else
		{
			$file_prefix = $short_name;
		}
		
		$arr_fileData = getimagesize($sourceFile);
					
		$ratio = number_format($arr_fileData[0]/$arr_fileData[1],2);
		$ratio_type = $this->getRatioType($ratio);
		
		// Fullsize Image
		$filesizeName = $file_prefix.URL_TOKEN_SEPARATOR.$ratio_type.".jpg";
		$fullsizePath = WALLPAPERS_PATH.$filesizeName;

		if ($uploaded==true)
		{
			if(!is_uploaded_file($sourceFile)) 
			{
				$siteError->add($LANG->l('Error image upload for %s', array('p1' => $sourceFile)),"error");
				return false;
				//redirect();
			}
			if(!move_uploaded_file($sourceFile, $fullsizePath)) 
			{
				$siteError->add($LANG->l('Error upload failed for %s', array('p1' => $sourceFile)),"error");
				return false;
				//redirect();
			}
			if(!chmod($fullsizePath, 0755)) 
			{
				$siteError->add($LANG->l('Error upload rights for %s', array('p1' => $sourceFile)),"error");
				return false;
				//redirect();
			}
		}
		else
		{
			if(!copy($sourceFile, $fullsizePath)) 
			{
				$siteError->add($LANG->l('Error copy failed for %s', array('p1' => $sourceFile)),"error");
				return false;
				//redirect();
			}
		}

		// Resize images
		$sql = "DELETE FROM `".DB_PREFIX."items_resolutions` WHERE `item_id`='".$photoId."' AND 
				`resolution_id` IN (SELECT `id` FROM `".DB_PREFIX."resolutions` WHERE
				 ABS(TRUNCATE(`width`/`height`,2) )= ".number_format($arr_fileData[0]/$arr_fileData[1],2).")";
		
		
		$DB->query($sql);
		
		
		if (!$thumb_done)
		{
			for ($i=0;$i<count($thumbnails);$i++)
			{
				
				$thumbnailPath = THUMBS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."t".($i+1).".jpg";
				
				$width = $thumbnails[$i]["width"];
				$height = $thumbnails[$i]["height"];
				//if ($ratio != number_format($width/$height,2)) continue;
				//@unlink($thumbnailPath);
				//if ($arr_fileData[0]<$width) continue;
				$width_new = $width;
				$height_new = $height;
				if ($ratio>1.33)
				{
					$width_new = $arr_fileData[0]*$height/$arr_fileData[1];
				}
				if ($ratio<1.33)
				{
					$height_new = $arr_fileData[1]*$width/$arr_fileData[0];
				}
				
				$resizer = new Thumbnail($fullsizePath);
				if(isset($resizer->invalid)) 
				{
					$siteError->add($LANG->l('Error upload resize for %s', array('p1' => $sourceFile)),"error");
					return false;
				}
				
				$resizerOut = $resizer->resize($width_new, $height_new, $width, $height);
				if ($resizerOut!==false)
					$resizer->save($thumbnailPath);
				else
				{
					$siteError->add($LANG->l('Error resize process for %s', array('p1' => $sourceFile)),"error");
					return false;
				}
				unset($resizer);
				
				$thumb_done = true;
			}
		}
		
		$is_wide = 0;
		$is_hd = 0;
		foreach ($mainResolutions as $k=>$v)
		{
			$width = $v["width"];
			$height = $v["height"];
			if ($arr_fileData[0]<$width) continue;
			if (abs($ratio - number_format($width/$height,2))>0) continue;
			$thumbnailPath = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$width."x".$height.".jpg";
			@unlink($thumbnailPath);
			if (GENERATE_IMAGES_UPLOAD==1)
			{
				$forceResize = false;
				if (abs($ratio - number_format($width/$height,2))>0) $forceResize = true;
	
				$resizer = new Thumbnail($fullsizePath);
				if(isset($resizer->invalid)) 
				{
					$siteError->add($LANG->l('Error upload resize for %s',  array('p1' => $sourceFile)),"error");
					return false;
					//redirect();
				}
				
				$resizerOut = $resizer->resize($width, $height, $width, $height, "#FFFFFF", $forceResize);
				if ($resizerOut!==false)
					$resizer->save($thumbnailPath);
				else
				{
					$siteError->add($LANG->l('Error resize process for %s',  array('p1' => $sourceFile)),"error");
					return false;
				}
				unset($resizer);
			}
			
			$sql = "INSERT INTO `".DB_PREFIX."items_resolutions` SET `item_id`='".$photoId."', 
				`resolution_id`='".$v["id"]."'";
			$DB->query($sql);
			if ($v['category']=="Wide") $is_wide = 1;
			if ($v['category']=="HD") $is_hd = 1;
			
		}
		$sql = "UPDATE `".DB_PREFIX."items` SET `is_wide`='".$is_wide."', `is_hd`='".$is_hd."' WHERE `id`='".$photoId."' ";
		$DB->query($sql);
		
	
	}
	
	
	
	function add_category($name, $id, $parent_id, $action, $check=false, $bulk=0, $description="", $thumb_id=0)
	{
		global $siteError, $DB, $WS, $LANG, $_REQUEST, $_FILES, $thumbnails;
		if (!is_array($parent_id)) $parent_id = array($parent_id);
		$parent_category_name = "";
		
		if (CATEGORY_INCLUDE_PARENT_NAME===true)
		{
			foreach ($parent_id as $k=>$v)
			{
				$sql = "SELECT `short_name` FROM `".DB_PREFIX."categories` WHERE `id`='".$v."'";
				$parent_category = $DB->get($sql);
				if ($parent_category["short_name"]!="") $parent_category_name .= $parent_category["short_name"]."_";
			}
		}
				
		if (!$siteError->hasErrors())
		{
			$short_name = $this->make_short_name(($parent_category_name!=""?$parent_category_name:"").$name);
			$sql = "SELECT a.`parent_id`, b.`short_name` FROM `".DB_PREFIX."categories_categories` a, `".DB_PREFIX."categories` b WHERE a.`category_id`=b.id AND  b.`short_name` REGEXP '^".$short_name."(_[0-9]+)*$' and a.`parent_id`='".$parent_id[0]."' ";
			
			$parent_category = $DB->get($sql);
			
			if (count($parent_category)>0 and $parent_category['parent_id']==$parent_id[0]) $short_name = $parent_category['short_name'];
			if (!isset($parent_category['parent_id']) or $parent_category['parent_id']!=$parent_id[0]) 
			{
				
				$short_name = $this->item_short_name($short_name, $id, "categories", 'short_name', 'id');
			}
			$sql = "SELECT id FROM `".DB_PREFIX."categories` WHERE `short_name`='".$short_name."' and `id`!='".$id."'";
			$category = $DB->get($sql);
			
			if ($category["id"]!="")
			{
				
				if ($check===true)
				{
					$ret->exists = true;
					$ret->id = $category["id"];
					return $ret;
				}
				else
				{
					$siteError->add($LANG->l('Error category exists'), "error");
					return false;
				}
			}
			if (!$siteError->hasErrors())
			{
				if ($action!="add")
				{
					$sql = "SELECT id FROM `".DB_PREFIX."categories` WHERE `id`='".$id."'";
					$category = $DB->get($sql);
					if ($category["id"]=="")
					{
						$siteError->add($LANG->l('Error category doesnt exists'), "error");
						return false;
					}
				}
				else
				{
					
				}
			}
		}
	
	
		if (!$siteError->hasErrors())
		{
			
			if ($action!="add")
			{
				$sql = "UPDATE `".DB_PREFIX."categories` SET 
					`name` = '".$name."', `short_name` = '".$short_name."', `modified`=NOW(), 
					`description`='".$description."',
					`thumb_id` ='".$thumb_id."'
					, `meta_title`='".$_REQUEST['meta_title']."'
					, `meta_keywords`='".$_REQUEST['meta_keywords']."'
					, `meta_description`='".$_REQUEST['meta_description']."'
					WHERE id='".$category["id"]."'";
			}
			else
			{
				$sql = "INSERT INTO `".DB_PREFIX."categories` SET 
					`name` = '".$name."', `short_name` = '".$short_name."', `modified`=NOW(), `created`=NOW(), 
					`description`='".$description."', 
					`thumb_id` ='".$thumb_id."', 
					`enabled` = '1', `bulk`='".$bulk."'
					, `meta_title`='".$_REQUEST['meta_title']."'
					, `meta_keywords`='".$_REQUEST['meta_keywords']."'
					, `meta_description`='".$_REQUEST['meta_description']."'
					 ";
			}
			if ($DB->query($sql))
			{
				$siteError->add($LANG->l('Category `%s` saved succesfully', array('p1' => $short_name)), "success");
				
				
				$ret->exists = false;
				$ret->id = $category["id"]!=""?$category["id"]:$DB->last_id();
				if (is_array($parent_id))
				{
					/*
						check to see if each category is not in the same tree as the other, if it is take the upper one
					*/
					$filtered_parents = array();
					for ($i=0;$i<count($parent_id);$i++)
					{
						$parents_arr[$parent_id[$i]] = $this->getParents($parent_id[$i]);
					}
					
					for ($i=0;$i<count($parent_id);$i++)
					{	
						if (!in_array($ret->id, $parents_arr[$parent_id[$i]]))
							$category_to_add = $parent_id[$i];
						else
							$category_to_add = "";
						
						for ($j=0;$j<count($parent_id);$j++)
						{
							if (in_array($parent_id[$j], $parents_arr[$parent_id[$i]]) and count(array_intersect($parents_arr[$parent_id[$j]], $filtered_parents))==0 and !in_array($ret->id, $parents_arr[$parent_id[$j]])) 
							{
								$category_to_add = $parent_id[$j];
							}
						}
						if ($category_to_add!="") $filtered_parents[] = $category_to_add;
					}
					$filtered_parents = array_unique($filtered_parents);
					if (count($filtered_parents)==0)
						$filtered_parents = array(0);
					
					
					if (count($filtered_parents)==0)
					{
						$filtered_parents[] = 0;
					}
					$sql = "DELETE FROM `".DB_PREFIX."categories_categories` WHERE category_id='".$category["id"]."'";
					$DB->query($sql);
					foreach ($filtered_parents as $k=>$v)
					{	
						if ($v!=$ret->id)
						{
							$sql = "INSERT INTO `".DB_PREFIX."categories_categories` SET `parent_id`='".$v."', `category_id`='".$ret->id."' ";
							$DB->query($sql);
						}
					}
					WS::buildCatPath($ret->id);
				}
				/**
				Save category thumbnail
				**/
				if ($_REQUEST["old_short_name"]!=$short_name)
				{
					$thumbnailPath = CATEGORY_THUMBS_PATH.$_REQUEST["old_short_name"].URL_TOKEN_SEPARATOR."t1.jpg";
					$newThumbnailPath = CATEGORY_THUMBS_PATH.$short_name.URL_TOKEN_SEPARATOR."t1.jpg";
					if (file_exists($thumbnailPath))
						@rename($thumbnailPath, $newThumbnailPath);
				}
				
				if ($_FILES["thumbnail"]["tmp_name"]!="")
				{
					$file_prefix = $short_name;
					$sourceFile = $_FILES["thumbnail"]["name"];
					$fullsizePath = $_FILES["thumbnail"]["tmp_name"];
					$info = array();
					$image_info = getimagesize($fullsizePath, $info);
					$arr_fileData = $image_info;

					if ($image_info[2]!=IMAGETYPE_JPEG)
					{
						$test_error = true;
						$siteError->add($LANG->l('Error image type for %s', array('p1' => $sourceFile)), "error");
						
						return false;
					}
		
					
					for ($i=0;$i<1;$i++)
					{
						
						$thumbnailPath = CATEGORY_THUMBS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."t".($i+1).".jpg";
						
						$width = $thumbnails[$i]["width"];
						$height = $thumbnails[$i]["height"];
						//if ($ratio != number_format($width/$height,2)) continue;
						//@unlink($thumbnailPath);
						//if ($arr_fileData[0]<$width) continue;
						$width_new = $width;
						$height_new = $height;
						if ($ratio>1.33)
						{
							$width_new = $arr_fileData[0]*$height/$arr_fileData[1];
						}
						if ($ratio<1.33)
						{
							$height_new = $arr_fileData[1]*$width/$arr_fileData[0];
						}
						
						$resizer = new Thumbnail($fullsizePath);
						if(isset($resizer->invalid)) 
						{
							$siteError->add($LANG->l('Error upload resize', array('p1' => $sourceFile)),"error");
							return false;
						}
						
						$resizerOut = $resizer->resize($width_new, $height_new, $width, $height);
						if ($resizerOut!==false)
							$resizer->save($thumbnailPath);
						else
						{
							
							$siteError->add($LANG->l('Error resize process', array('p1' => $sourceFile)),"error");
							return false;
						}
						unset($resizer);
						
						$thumb_done = true;
					}
				}
				/**
				End save category thumbnail
				**/
				return $ret;
			}
			else
			{
				$siteError->add($LANG->l('Error saving category'), "error");
				return false;
			}
		}
	}
	
	
	function getParents($catId)
	{
		global $DB;
		$return = array();
		if ($catId > 0)
		{
			$sql = "SELECT * FROM `".DB_PREFIX."categories_categories` WHERE `category_id`='".$catId."'";
			//echo $sql;
			$arr = $DB->getAll($sql);
			//echo "<br />".count($arr);
			for ($i=0;$i<count($arr);$i++)
			{
				if ($arr[$i]['parent_id']>0) $return[] = $arr[$i]['parent_id'];
				$back = WS::getParents($arr[$i]['parent_id']);	
				$return = array_merge($return, $back);	
			}
		}
		return $return;
	}
	
	function findInTree($array, $key)
	{
		$return = false;
		if (array_key_exists($key, $array))
			return $array;
		
		foreach ($array as $k=>$treeLeaf)
			if (count($treeLeaf['subcategories'])>0)
			{
				$return = $this->findInTree($treeLeaf['subcategories'], $key);
				if ($return!==false) return $return;
			}
		return $return;
	}
	
	
	function getSubCategories($catId, &$subCat)
	{
		if (is_null($this->categoryTree))
			$this->categoryTree = $this->getCategoryListArray();
		$tree = $this->categoryTree;
		
		$category = $this->findInTree($tree, $catId);
		$category = $category[$catId];
		if (is_array($category['subcategories'] ))
		{
			foreach ($category['subcategories'] as $key=>$subCategory)
			{
				$subCat[] = $subCategory['id'];
				array_merge($subCat, $this->getSubCategories($subCategory['id'], $subCat));
			}
		}

		return $subCat;
	}
	
	
	/*function getSubCategories($catId)
	{
		global $DB;
		$return = array();
		if ($catId > 0)
		{
			$sql = "SELECT * FROM `".DB_PREFIX."categories_categories` WHERE `parent_id`='".$catId."'";
			
			$arr = $DB->getAll($sql);
			
			for ($i=0;$i<count($arr);$i++)
			{
				if ($arr[$i]['category_id']>0) $return[] = $arr[$i]['category_id'];
				$back = $this->getSubCategories($arr[$i]['category_id']);	
				$return = array_merge($return, $back);	
			}
		}
		return $return;
	}*/
	
	
	function deleteCategory($id)
	{
		global $thumbnails, $DB;
		
		$sql = "SELECT * FROM `".DB_PREFIX."categories_categories` WHERE `parent_id`='".$id."'";
		$categories = $DB->getAll($sql);
		
		for ($i=0;$i<count($categories);$i++)
		{
			$this->deleteCategory($categories[$i]["category_id"]);
		}
		
		$sql = "SELECT * FROM `".DB_PREFIX."items_categories` WHERE `category_id`='".$id."'";
		$user_items = $DB->getAll($sql);
		
		for ($i=0;$i<count($user_items);$i++)
		{
			$this->deleteWallpaper($user_items[$i]['item_id']);
		}
		
		//$this->updateTotalWallpapers(array("cat_id" => $id), -1);
		
		$sql = "DELETE FROM `".DB_PREFIX."categories` WHERE `id`='".$id."'";
		$DB->query($sql);
		
		$sql = "DELETE FROM `".DB_PREFIX."categories_categories` WHERE `category_id`='".$id."'";
		$DB->query($sql);
		
		
	
	}
	
	
	function deleteWallpaper($id)
	{
		if ($id == "")
			return false;
		global $thumbnails, $mainResolutions, $DB;
		
		$sql = "SELECT a.* FROM `".DB_PREFIX."items` a  WHERE a.id='".$id."' ";
		$wallpaper = $DB->get($sql);
		if (count($wallpaper)==0)
		{
			redirect(WEB_PATH);
		}
		
		if (PREVENT_HOTLINKING)
		{
			$file_prefix = $id;
		}
		else
		{
			$file_prefix = $wallpaper['short_name'];
		}
		
		$this->updateTotalWallpapers(array("wall_id" => $id), -1);
		
		$sql = "DELETE FROM `".DB_PREFIX."users_items` WHERE item_id='".$id."' ";
		$DB->query($sql);
		
		$sql = "DELETE FROM `".DB_PREFIX."items_categories` WHERE item_id='".$id."' ";
		$DB->query($sql);
		
		$sql = "DELETE FROM `".DB_PREFIX."items_resolutions` WHERE item_id='".$id."' ";
		$DB->query($sql);
		
		$sql = "DELETE FROM `".DB_PREFIX."items` WHERE id='".$id."' ";
		$DB->query($sql);
		foreach ($mainResolutions as $k=>$v)
		{
			$width = $v["width"];
			$height = $v["height"];
			$thumbnailPath = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$width."x".$height.".jpg";
			@unlink($thumbnailPath);
		}
		$ratios = $this->getRatioArray($file_prefix);
		for ($x=0;$x<count($ratios);$x++)
		{
			$thumbnailPath = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratios[$x].".jpg";
			@unlink($thumbnailPath);
		}
		
		for ($i=0;$i<count($thumbnails);$i++)
		{
			$thumbnailPath = THUMBS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."t".($i+1).".jpg";
			@unlink($thumbnailPath);
		}
		
		
		return true;
	}
	
	
	function getTagCloud($limit=0)
	{
		global $DB;
		simple_debug("getTagCloud");
		$terms = array(); // create empty array
		$counter = array();
		$maximum = 0; // $maximum is the highest counter for a search term
		
		$terms = $DB->getAll("SELECT a.*, b.*, COUNT(b.item_id) as `counter` 
			FROM 
			`".DB_PREFIX."tags` a, 
			`".DB_PREFIX."tags_items` b,
			`".DB_PREFIX."items` c 
			WHERE c.id=b.item_id AND c.enabled=1 AND c.visible=1 AND 
			a.id=b.tag_id GROUP BY a.name ");
		
				
		//$terms = array_unique($terms);
		
		$terms_arr = array();
		for ($i=0;$i<count($terms);$i++)
		{
		
			if ($terms[$i]['counter']> $maximum) $maximum = $terms[$i]['counter'];	
			
			if ($terms[$i]['counter']> $limit)
				$terms_arr[] = array('term' => $terms[$i]['name'], 'counter' => $terms[$i]['counter']);
		}
		// shuffle terms unless you want to retain the order of highest to lowest
		shuffle($terms_arr);
		//var_dump($limit);
		
	
		$ret->terms_arr = $terms_arr;
		$ret->maximum = $maximum;
		simple_debug("getTagCloud", "", "end");
		return $ret;
	}
	
	/*function displayCategoriesOptions($mainCategories, $space='', $level=0, $parent_ids=array())
	{
		
		
		for ($i=0;$i<count($mainCategories);$i++)
		{
			$selected = '';
			if (in_array($mainCategories[$i]['id'], $parent_ids))
				$selected = ' selected="selected" ';
			$return .= '<option '.$selected.' value="'.$mainCategories[$i]['id'].'" style="font-size:'.(14-($level*2)).'px">'.$space.$mainCategories[$i]['name'].'</option>';
			if (count($mainCategories[$i]['subcategories'])>0)
			{
				$return .= $this->displayCategoriesOptions($mainCategories[$i]['subcategories'], $space."&nbsp;&nbsp;&nbsp;", $level+1, $parent_ids);
			}
		}
		return $return;
		
	}
	function displayCategoriesSelect($mainCategories, $parent_ids = array())
	{
		$return = '<select name="parent_id[]" id="parent_id" class="input-other" multiple="multiple" size="5">';
		$return .= '<option value="0"></option>';
		$return .= $this->displayCategoriesOptions($mainCategories, '', 0, $parent_ids);
		$return .= '</select>';
		return $return;
	}*/
	
	
	# Convert to a flat list
	function flattenCategories($array_data, $indent = 0) {
	  $result = array();
	 
	  foreach ($array_data as $key => $value) {
		if (array_key_exists('subcategories', $value) and is_array($value['subcategories']) and count($value['subcategories'])>0) {
		  # Omission of 'item' means this is a group
		  $value_tmp = $value;
		  //$value_tmp['subcategories'] = array();
		  $result[] = array(
			'indent' => $indent,
			'name' => $value_tmp['name'],
			'item' => $value_tmp
		  );
		  $result = array_merge($result, $this->flattenCategories($value['subcategories'], $indent + 1));
		} else {
		  $value_tmp = $value;
		  //$value_tmp['subcategories'] = array();	
		  $result[] = array(
			'indent' => $indent,
			'name' => $value_tmp['name'],
			'item' => $value_tmp
		  );
		}
	  }
	 
	  return $result;
	} 
	
	function getCategoryListArray()
	{
		global $DB, $selected_category, $categories_ids, $categories_names, $cat_num_items, $cat_num_categories, $category_name;
		if (!is_null($this->categoryTree)) return $this->categoryTree;
		
		$categories = $DB->getAll("SELECT `id`, `name`, `short_name`, b.`parent_id`, `enabled`, `items` as num_items FROM `".DB_PREFIX."categories` a, `".DB_PREFIX."categories_categories` b WHERE a.`id`=b.`category_id` ORDER BY `sort_order` ASC, `name` ASC");
		
		$tree = treeFromArray($categories, 'parent_id', 'id');
		
		$this->categoryTree = $tree;
		
		return $tree;
	}
	
	function getCategoryList($parent_id = 0, $count_items = false, $getAll = false)
	{
		global $DB, $selected_category, $categories_ids, $categories_names, $cat_num_items, $cat_num_categories, $category_name;
		$categories_select = "";
		if ($count_items===false)
		{
			$categories_select = ", `items` as num_items ";
		}
		
		$categories = $DB->getAll("SELECT * $categories_select FROM `".DB_PREFIX."categories` a, `".DB_PREFIX."categories_categories` b WHERE b.`parent_id`=$parent_id AND a.`id`=b.`category_id` ORDER BY `sort_order` ASC, `name` ASC");
		for ($i=0;$i<count($categories);$i++)
		{
			$categories_ids[$categories[$i]['id']] = array("short_name" => $categories[$i]['short_name'], "name" => $categories[$i]['name'], 
				"parent_id" => $categories[$i]['parent_id']);
			$categories_names[strtolower($categories[$i]['short_name'])] = array("id" => $categories[$i]['id'], 
				"parent_id" => $categories[$i]['parent_id'],
				"name" => $categories[$i]['name']);
			
			$enabled_sql = "";
			if ($_SESSION["user_data"]["type"]!="admin")			
			{				
				$enabled_sql = " b.`enabled`=1 AND b.`visible`=1 AND ";			
			}	
			if ($count_items===true)
			{	
				$categories[$i]['num_items'] = 0;
				$categories[$i]['non_cat_num_items'] = 0;	
				$num_items = $DB->get("SELECT COUNT(item_id) as `total` FROM `".DB_PREFIX."items_categories` a, `".DB_PREFIX."items` b WHERE a.item_id=b.id  AND $enabled_sql a.`category_id`=".$categories[$i]['id']."");
				$categories[$i]['non_cat_num_items'] += $num_items["total"];
				$categories[$i]['num_items'] += $num_items["total"];
				$cat_num_items[$categories[$i]['id']] += $num_items["total"];
				$cat_num_categories[$categories[$i]['id']]++;
				
				$categories[$i]['num_items'] = $num_items["total"];
			}
			if ($categories[$i]['short_name']==$category_name)
			{
				//$selected_category = $categories[$i];
			}
			
			$test_parent = false;
			if (is_array($selected_category) and array_key_exists("parents", $selected_category) and is_array($selected_category["parents"]))
			{
				if (in_array($categories[$i]['id'], $selected_category["parents"]))
				{
					$test_parent = true;
				}
			}
			
			if ($categories[$i]['short_name']==$category_name or $test_parent===true or $count_items===true or $getAll===true)
			{
				$categories[$i]["subcategories"] = $this->getCategoryList($categories[$i]['id'], $count_items, $getAll);
				
				if ($count_items===true)
				{	
					for ($j=0;$j<count($categories[$i]["subcategories"]);$j++)
					{
						//$categories[$i]['non_cat_num_items'] += $categories[$i]["subcategories"][$j]['non_cat_num_items'];
						$categories[$i]['num_items'] += $categories[$i]["subcategories"][$j]['num_items'];
					}
				}
			}
		}
		return $categories;
	
	}
	
	function clear_all_cache(&$smarty, $redirect_path="", $redirect=true)
	{
		// clear out all cache files
		$smarty->clear_all_cache();
		// clear entire compile directory
		$smarty->clear_compiled_tpl();
		if ($redirect == true)
			redirect(smarty_modifier_url($redirect_path));
	}
	function clear_template($files)
	{
		global $smarty;
		if (!is_array($files))
		{
			return false;
		}
		else
		{
			foreach ($files as $k=>$v)
			{
				$smarty->clear_compiled_tpl($v);
				$smarty->clear_cache($v);
			}
		}
	}
	
	function buildBreadCrumbCategoryTrail(&$breadCrumb, $category_id, $add_self=false)
	{
		global $DB;
		
		if (!is_array($category_id) and $category_id!="")
		{
			$subcat = $this->getParents($category_id);
			if (!is_array($subcat)) $subcat = array();
			$subcat = array_reverse($subcat);
			if ($add_self==true and !in_array($category_id, $subcat) )
				$subcat = array_merge($subcat, array($category_id));
			
			if (count($subcat)>0)
			{
				foreach ($subcat as $scat)
				{
					$sql = "SELECT * FROM `".DB_PREFIX."categories` c WHERE c.id = '".$scat."' ";
					$categories = $DB->getAll($sql);
					for ($i=0;$i<count($categories);$i++)
					{
						if (CATEGORIES_LINK===true and $i==0)
						{
							$breadCrumb->add(smarty_modifier_url($categories[$i]["short_name"], "categories"), $categories[$i]["name"]);
						}
						else
						{
							$breadCrumb->add(smarty_modifier_url($categories[$i]["short_name"], "cat"), $categories[$i]["name"]);
						}
					}
				}
			}
		}
	}
	
	function updateTotalWallpapers($opt, $counter=1)
	{
		global $DB;
		if ($opt["cat_id"]!="")
		{
			$subcat = $this->getParents($opt["cat_id"]);
			if (!is_array($subcat)) $subcat = array();
			$subcat = array_merge($subcat, array($opt["cat_id"]));
			
			if (count($subcat)>0)
			{
				$sql = "UPDATE `".DB_PREFIX."categories` SET `items`=`items`+".$counter." WHERE id IN (".implode(",", $subcat).") ";
				$DB->query($sql);
				/*$sql = "SELECT * FROM `".DB_PREFIX."categories` c WHERE c.id IN (".implode(",", $subcat).") ";
				$categories = $DB->getAll($sql);
				for ($i=0;$i<count($categories);$i++)
				{
					//$breadCrumb->add(smarty_modifier_url($categories[$i]["short_name"], "cat"), $categories[$i]["name"]);
				}*/
			}
		}
		if ($opt["wall_id"]!="")
		{
			$sql = "SELECT * FROM `".DB_PREFIX."items_categories` c WHERE c.item_id='".$opt["wall_id"]."' ";
			$categories = $DB->getAll($sql);
			for ($i=0;$i<count($categories);$i++)
			{
				$subcat = $this->getParents($categories[$i]["category_id"]);
				if (!is_array($subcat)) $subcat = array();
				$subcat = array_merge($subcat, array($categories[$i]["category_id"]));
				
				if (count($subcat)>0)
				{
					$sql = "UPDATE `".DB_PREFIX."categories` SET `items`=`items`+".$counter." WHERE id IN (".implode(",", $subcat).") ";
					$DB->query($sql);
					//echo $sql;
					
				}
			}
		}
		//exit();
	}
	
	function updateAllWallpapers()
	{
		global $DB;
		$categoriesTemp = $this->getCategoryList(0, true, true);
		$flattenCategoriesTemp = $this->flattenCategories($categoriesTemp);
		$this->updateTotalItems($flattenCategoriesTemp);
	}
	
	function updateTotalItems($flattenCategories)
	{
		global $DB;

		for ($i=0;$i<count($flattenCategories);$i++)
		{
			if ($flattenCategories[$i]['item']['num_items']=="")
			{
				$flattenCategories[$i]['item']['num_items'] = 0;
			}
			{
				$sql = "UPDATE `".DB_PREFIX."categories` SET `items`='".$flattenCategories[$i]['item']['num_items']."' WHERE `id`='".$flattenCategories[$i]['item']['id']."' ";
				$DB->query($sql);
			}
		}
	}
	
	function generate_thumbs($file_prefix, $counter=1)
	{
		global $thumbnails;
		
		$ratioArr = WS::getRatioArray($file_prefix);
		$fullsizePath = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratioArr[0].".jpg";;
		$arr_fileData = getimagesize($fullsizePath);
		for ($i=($counter-1);$i<$counter;$i++)
		{
			
			$thumbnailPath = THUMBS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."t".($i+1).".jpg";
			
			$width = $thumbnails[$i]["width"];
			$height = $thumbnails[$i]["height"];
			
			$width_new = $width;
			$height_new = $height;
			if ($ratio>1.33)
			{
				$width_new = $arr_fileData[0]*$height/$arr_fileData[1];
			}
			if ($ratio<1.33)
			{
				$height_new = $arr_fileData[1]*$width/$arr_fileData[0];
			}
			
			$resizer = new Thumbnail($fullsizePath);
			if(isset($resizer->invalid)) 
			{
				$siteError->add($LANG->l('Error upload resize for %s', array('p1' => $fullsizePath)),"error");
				return false;
			}
			
			$resizerOut = $resizer->resize($width_new, $height_new, $width, $height);
			if ($resizerOut!==false)
				$resizer->save($thumbnailPath);
			else
			{
				$siteError->add($LANG->l('Error resize process for %s', array('p1' => $fullsizePath)),"error");
				return false;
			}
			unset($resizer);
			
		}
	}
	
	function makeNameFromFileName($file_name)
	{
		$special_chars = array('-', '_', '#', '$', '.jpg', '.JPG');
		
		$item_name = DB::s(trim(str_ireplace($special_chars, " ", $file_name)));
		$item_name = preg_replace ( "'([0-9]{4}x[0-9]{3,4})'i", "", $item_name);
		
		return $item_name;
	}
	
	function disableWallpapers($catId, $enable=1)
	{
		global $WS, $DB;
		$subCats = array();
		$subCats = $WS->getSubCategories($catId, $subCats);
		foreach ($subCats as $subCat)
		{
			WS::disableWallpapers($subCat, $enable);
		}
		$sql = "UPDATE `".DB_PREFIX."categories` SET `enabled`=".$enable." WHERE `id`='".$catId."'";
		$DB->query($sql);
		
		$sql = "SELECT * FROM `".DB_PREFIX."items_categories` WHERE `category_id`='".$catId."' GROUP BY `item_id` HAVING COUNT(category_id)=1";
		$items = $DB->getAll($sql);
		for ($i=0;$i<count($items);$i++)
		{
			$sql = "UPDATE `".DB_PREFIX."items` SET `enabled`=".$enable." WHERE `id`='".$items[$i]['item_id']."'";
			$DB->query($sql);
		}
	}
}



$categories_ids = array();
$categories_names = array();
$cat_num_items = array();
$cat_num_categories = array();
?>