<?php

function generateCode($length=12) {
   $chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPRQSTUVWXYZ0123456789";
   $code = "";
   $clen = strlen($chars) - 1;  //a variable with the fixed length of chars correct for the fence post issue
   while (strlen($code) < $length) {
	   $code .= $chars[mt_rand(0,$clen)];  //mt_rand's range is inclusive - this is why we need 0 to n-1
   }
   return $code;
}

function zend_test()
{
ob_start();
phpinfo( INFO_MODULES );
/**
 * Only general info
 */
$a = strip_tags( ob_get_contents() );
ob_end_clean();

if ( preg_match( '/Zend Loader enabled/', $a ) )
                        return true;
return false;
}


function PMA_dl( $module )
{
        if ( !isset( $GLOBALS['PMA_dl_allowed'] ) )
        {
                if ( !@ini_get( 'safe_mode' ) && @ini_get( 'enable_dl' ) && @function_exists( 'dl' ) )
                {
                        ob_start();
                        phpinfo( INFO_GENERAL );
                        /**
                         * Only general info
                         */
                        $a = strip_tags( ob_get_contents() );
                        ob_end_clean();
                        /**
                         * Get GD version string from phpinfo output
                         */
                        if ( preg_match( '@Thread Safety[[:space:]]*enabled@', $a ) )
                        {
                                if ( preg_match( '@Server API[[:space:]]*\(CGI\|CLI\)@', $a ) )
                                {
                                        $GLOBALS['PMA_dl_allowed'] = true;
                                }
                                else
                                {
                                        $GLOBALS['PMA_dl_allowed'] = false;
                                }
                        }
                        else
                        {
                                $GLOBALS['PMA_dl_allowed'] = true;
                        }
                }
                else
                {
                        $GLOBALS['PMA_dl_allowed'] = false;
                }
        }
        if ( PMA_IS_WINDOWS )
        {
                $suffix = '.dll';
        }
        else
        {
                $suffix = '.so';
        }
        if ( $GLOBALS['PMA_dl_allowed'] )
        {
                return @dl( $module . $suffix );
        }
        else
        {
                return false;
        }
}

if ( !defined( 'PMA_IS_GD2' ) )
{
        if ( $cfg['GD2Available'] == 'yes' )
        {
                define( 'PMA_IS_GD2', 1 );
        } elseif ( $cfg['GD2Available'] == 'no' )
        {
                define( 'PMA_IS_GD2', 0 );
        }
        else
        {
                if ( !@extension_loaded( 'gd' ) )
                {
                        PMA_dl( 'gd' );
                }
                if ( ( !@function_exists( 'imagecreatetruecolor' ) ) && ( !@function_exists( 'imagecreate' ) ) )
                {
                        define( 'PMA_IS_GD2', 0 );
                }
                else
                {
                        if ( @function_exists( 'gd_info' ) )
                        {
                                $gd_nfo = gd_info();
                                if ( strstr( $gd_nfo["GD Version"], '2.' ) )
                                {
                                        define( 'PMA_IS_GD2', 2 );
                                }
                                else if ( strstr( $gd_nfo["GD Version"], '1.' ) )
                                {
                                        define( 'PMA_IS_GD2', 1 );
                                }
                                else
                                {
                                        define( 'PMA_IS_GD2', 0 );
                                }
                        }
                        else
                        {
                                ob_start();
                                phpinfo( INFO_MODULES );
                                $a = strip_tags( ob_get_contents() );
                                ob_end_clean();
                                if ( preg_match( '@GD Version(.)*@', $a, $v ) )
                                {
                                        if ( strstr( $v[0], '2.' ) )
                                        {
                                                define( 'PMA_IS_GD2', 2 );
                                        }
                                        else if ( strstr( $v[0], '1.' ) )
                                        {
                                                define( 'PMA_IS_GD2', 1 );
                                        }
                                        else
                                        {
                                                define( 'PMA_IS_GD2', 0 );
                                        }
                                }
                                else
                                {
                                        define( 'PMA_IS_GD2', 0 );
                                }
                        }
                }
        }
}
if ( PMA_IS_GD2 == 2 )
{
        define( 'PMA_IS_GD2_COND', "true" );
}
else
{
        define( 'PMA_IS_GD2_COND', "false" );
}

require( "english_install.php" );

//$config['emailverif']="^[a-z0-9]+([_.-][a-z0-9]+)*@([a-z0-9]+([.-][a-z0-9]+)*)+\\.[a-z]{2,4}$";

class DB
{
        function Connect()
        {
                global $config;
                $DB = @mysql_connect( "{$config['sqlhost']}", "{$config['sqluser']}", "{$config['sqlpass']}" );
				
                if ( $this -> error()) return ( "Could not connect: " . mysql_error() );
				
                @mysql_select_db( "{$config['sqldb']}", $DB );
                if ( $this -> error() ) return $this -> error();
        }
		
        function tableexist()
        {
                global $config, $lang;
                $result = @mysql_list_tables( $config['sqldb'] );
                if ( $this -> error() ) return $this -> error();
                if ( $result )
                        while ( $row = mysql_fetch_row( $result ) )
                {
                        if ( $row[0] = 'properties' ) return $lang["msg_script_installed"];
                }
        }

        function query( $query )
        {
                $this -> Connect();
                $query = mysql_query( $query );
                return $this -> error();
        }

        function error()
        {
                $details = mysql_error();
                if ( $details != null )
                {
                        return $details ;
                }
                else
                        return false;
        }
}

class TPL
{
        function replace( $var = array(), $file )
        {
                global $config, $lang;
                unset( $output );
                $output = implode( "", file( $file ) );

                if ( is_array( $var ) )
                {
                        foreach ( $var as $key => $value )
                        {
                                if ( $key == "error" )
                                        $output = eregi_replace ( "(<%error%>)", "<b><font color=\"red\">\\1</font></b>", $output );
                                $output = str_replace( "<%" . $key . "%>", $value, $output );
                        }
                        $output = preg_replace( "/<%tpl_(\w+)%>/e", "\$lang['tpl_\\1']", $output );
                        $output = ereg_replace( '<%[^%>]*%>', '', $output );
                }
                return $output;
        }
}

class INSTALL
{

	function step0( $error = "" )
        {             
			    global $_POST, $_SERVER;
                global $tpl,$lang;				
				
				
				$writable ='<span style="color:green">writable</span>';
				$notwritable ="<span style='color:red'>not writable</span>";
				$installed ='<span style="color:green">installed</span>';
				$notinstalled ="<span style='color:red'>not installed</span>";				
				
                $var = array( 				                                      
                        "install_step" => $_POST["install_step"],
                        "error" => $error,
						"dbinfo_state" =>$writable,
						"chache_state" =>$writable,
						"upload_dir_state"=>$writable,
						"templatesc_state" =>$writable,
						"thumbs_state" =>$writable,
						"walls_state" =>$writable,
						"wallpapers_state" =>$writable,
						"modules_state" =>$writable,
						"images_state" =>$writable,
						"gd_state" => $installed,
						"zend_state" => $installed								
                        );
						                
                if ( trim( $var["error"] ) == "" )
                {
                 	if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/db_info.php" ) )
					{
							$var["dbinfo_state"] = $notwritable;
							$var["error"]="aa";
					}                      
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/cache/" ) )
					{                              
							$var["chache_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/upload/" ) )
					{                              
							$var["upload_dir_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/templates_c/" ) )
					{                              
							$var["templatesc_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/thumbs/" ) )
					{                              
							$var["thumbs_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/walls/" ) )
					{                              
							$var["walls_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/wallpapers/" ) )
					{                              
							$var["wallpapers_state"] = $notwritable;
							$var["error"]="aa";
					}
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/modules/" ) )
					{                              
							$var["modules_state"] = $notwritable;
							$var["error"]="aa";
					}	
					if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/images/" ) )
					{                              
							$var["images_state"] = $notwritable;
							$var["error"]="aa";
					}	
					if (!function_exists( 'imagecreate' ) )
					{
							$var["error"] .= "aa";
							$var["gd_state"] = $notinstalled;
					}		
																		
					/*if (!zend_test()) // de modificat
					{
							$var["error"] .= "aa";
							$var["zend_state"] = $notinstalled;
					}*/															
	            }				

                if ( $var["dbhost"] == "" ) $var["dbhost"] = "localhost";
                if ( $var["prefix"] == "" ) $var["prefix"] = "ws_";

				if ($var["error"]!="")				
                $out = $tpl -> replace( $var, "check.html" );				
				else
				$out = $tpl -> replace( $var, "install.html" );
                return $out;
        }

        function step1( $error = "" )
        {             
			    global $_POST, $_SERVER;
                global $tpl,$lang;
				
				$writable="<span style=color:'green'>writable</span>";
				$notwritable="<span style=color:'red'>not writable</span>";				
				//echo $_POST["install_step"];				
               // include ( "../db_info.php" );
                if ( file_exists( "../db_info.php" ) )
                {
                        include ( "../db_info.php" );
                }
                $var = array( 				
                        "dbhost" => $_POST["dbhost"],
                        "dbname" => $_POST["dbname"],
                        "dbuser" => $_POST["dbuser"],
                        "dbpasswd" => $_POST["dbpasswd"],                        
                        "prefix" => $_POST["prefix"],                        
                        "install_step" => $_POST["install_step"],
                        "error" => $error,
						"dbinfo_state" =>$writable,
						"chache_state" =>$writable,
						"upload_dir_state"=>$writable,
						"templatesc_state" =>$writable,
						"thumbs_state" =>$writable,
						"walls_state" =>$writable,
						"wallpapers_state" =>$writable,
						"modules_state" =>$writable,
						"images_state" =>$writable
                        );
						                
                if ( trim( $var["error"] ) == "" )
                {
                        if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/db_info.php" ) )
                        {
                                //$var["error"] = $lang["msg_config_error1"];
								$var["dbinfo_state"] = $notwritable;
                        }						
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/cache/" ) )
                        {                              
								$var["chache_state"] = $notwritable;
                        }
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/upload/" ) )
                        {                              
								$var["upload_dir_state"] = $notwritable;
                        }
						
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/templates_c/" ) )
                        {                              
								$var["templatesc_state"] = $notwritable;
                        }
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/thumbs/" ) )
                        {                              
								$var["thumbs_state"] = $notwritable;
                        }
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/walls/" ) )
                        {                              
								$var["walls_state"] = $notwritable;
                        }
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/wallpapers/" ) )
						{                              
								$var["wallpapers_state"] = $notwritable;
						}
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/modules/" ) )
						{                              
								$var["modules_state"] = $notwritable;
						}	
						if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/images/" ) )
						{                              
								$var["images_state"] = $notwritable;
						}	

                }
				
				//echo "-->".$var["error"];
				//echo "--->".$lang["msg_config_error1"];
				

                if ( $var["dbhost"] == "" ) $var["dbhost"] = "localhost";
                if ( $var["prefix"] == "" ) $var["prefix"] = "mypro_";

                $out = $tpl -> replace( $var, "install.html" );
                return $out;
        }
		
        function step2()
        {
                //echo "asssa";
				global $config, $lang, $adminpass;
                global $_POST, $_SERVER;
                global $tpl, $db;
                $var = array( 									
                        "dbhost" => $_POST["dbhost"],
                        "dbname" => $_POST["dbname"],
                        "dbuser" => $_POST["dbuser"],
                        "dbpasswd" => $_POST["dbpasswd"],  
						"adminemail" => $_POST["adminemail"],                       
                        "prefix" => $_POST["prefix"],
                        "install_step" => $_POST["install_step"]
                        );
                
				if ( !is_writeable( dirname( dirname( __FILE__ ) ) . "/db_info.php" ) )
                {
                        $var["error"] = $lang["msg_config_error1"];
                }
                
                 if (!$_POST["guidelines"]) {
                     $var["error"] ="<font color=\"red\"><b>Guidelines not checked !</b></font><br />Please check the guidelines to enjoy this release<br/>";
                     
                 }



                /*if ( !function_exists( 'imagecreate' ) )
                {
                        $var["error"] .= $lang["msg_you_dont_have_gd"];
                }*/

                if ( trim( $var["error"] ) == "" )
                {
                        $config['sqlhost'] = $var["dbhost"];
                        $config['sqluser'] = $var["dbuser"];
                        $config['sqlpass'] = $var["dbpasswd"];
                        $config['sqldb'] = $var["dbname"];
						$config['adminemail'] = $var["adminemail"];
						
                        $result = $db -> Connect();
                        if ( $result ) $var["error"] = $result;
						$result = $db -> tableexist();
						if ( $result ) $var["error"] = $result;
						//print_r($config);
						//echo "<br />".$var["error"];
						//exit;
						
                }
                foreach( $var as $key => $val )
                {
                        if ( ( $key != "error" ) && ( $val == "" ) )
                        {
                                $var["error"] .= $lang["msg_$key"];
                        }                       
                }
				
				//echo "EROAREA:".$var["error"];
				
                if ( trim( $var["error"] ) == "" )
                {

					$vartemp["error"] = $this -> installdatabase( $var );
					
					if ( $vartemp["error"] == "" )
					{
							$vartemp["succes"] = $lang["msg_finish"]."<strong>".$adminpass."</strong>";							
							/* here comes generated password: */																																	
					}
					else
					{
							$vartemp["error"] = $lang["msg_finish_error"] . $vartemp["error"];
					}
					$output .= $tpl -> replace( $vartemp, "finish.html" );
                }
                else
                {
                        $output .= $this -> step1( $var["error"] );
                }
                return $output;
        }
		
        function installdatabase( $var )
        {
                global $lang, $config, $db, $adminpass, $adminemail;
				
				$adminpass=generateCode();			
				
                $file = "structure.sql";
                $sqlfull = @implode( "", @file( $file ) );
                $sqlfull = eregi_replace( '<%prefix%>', $var[prefix], $sqlfull );
                $sqlfull = explode( ";", $sqlfull );
                foreach ( $sqlfull as $key => $value )
                {
                        if ( trim( $value ) != "" )
                        {
                                $out = $db -> query( trim( $value ) );
								//echo "<br />OUT=".$out;
								//var_dump($out);
                                if ( $out == true ) $output .= $out . "<br>";
                        }
                }
				
				//$out = $db -> query(  $sqlfull );
				//if ( $out == true ) $output .= $out . "<br>";
				
               /*
			    $sql = "INSERT INTO {$var[prefix]}users  ( `id` , `username` , `password`, `email` , `name` , `type`)
                	VALUES('1','admin','" . md5( $adminpass ) . "','".$config['adminemail']."','Admin','admin');";
				*/	
					
				$sql = "UPDATE {$var[prefix]}users SET `password`= '" . md5( $adminpass ) . "', `email`= '".$config['adminemail']."' WHERE id=1";														
                $out = $db -> query( $sql );
                if ( $out == true ) $output .= $out . "<br>";
				
				$sql = "UPDATE {$var[prefix]}settings SET `value`= '".$config['adminemail']."' WHERE `key`= 'EMAIL_FROM' OR `key`= 'EMAIL_REPLY_TO' OR `key`= 'CONTACT_EMAIL' ";
				echo $sql;													
                $out = $db -> query( $sql );
                if ( $out == true ) $output .= $out . "<br>";	
				
               // $sql = "INSERT INTO {$var[prefix]}settings  ( `id`  )  VALUES('1');";
                //$out = $db -> query( $sql );
                //if ( $out == true ) $output .= $out . "<br>";

                $tmpfname = "../db_info.php";
                $data = "<?php				
define(\"DB_HOST\", '{$var['dbhost']}');
define(\"DB_USERNAME\", '{$var['dbuser']}');
define(\"DB_PASSOWRD\", '{$var['dbpasswd']}');
define(\"DB_NAME\", '{$var['dbname']}');
define(\"DB_PREFIX\", '{$var['prefix']}');				
?>";

                $fp = @fopen( $tmpfname, 'w' );
                @fwrite( $fp, $data );
                @fclose( $fp );
                return $output;
        }

}

$db = new DB;
$tpl = new TPL;
$install = new INSTALL;

$writable ='<span style="color:green">writable</span>';
$notwritable ="<span style='color:red'>not writable</span>";				
$installed ='<span style="color:green">installed</span>';
$notinstalled ="<span style='color:red'>not installed</span>";

$adminpass="";
				
//zend_test();

//echo ">>>".$_POST["install_step"]."<<<";

switch ( $_POST["install_step"] )
{

        case "2":
				$output .= $install -> step2();
                break;

        case "1":
				$output .= $install -> step1();
                break;
        default:
                $output .= $install -> step0();
				
				
}
echo $output;

//echo $adminpass;

?>