#SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `<%prefix%>demo2`
--

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>authors`
--

DROP TABLE IF EXISTS `<%prefix%>authors`;
CREATE TABLE IF NOT EXISTS `<%prefix%>authors` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(255) unsigned NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `<%prefix%>authors`
--


-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>categories`
--

DROP TABLE IF EXISTS `<%prefix%>categories`;
CREATE TABLE IF NOT EXISTS `<%prefix%>categories` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `short_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `parent_id` int(255) NOT NULL,
  `enabled` int(1) NOT NULL DEFAULT '1',
  `modified` datetime NOT NULL,
  `sort_order` int(255) unsigned NOT NULL,
  `bulk` int(1) unsigned NOT NULL DEFAULT '0',
  `items` int(255) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `thumb_id` int(255) unsigned NOT NULL DEFAULT '0', 
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_description` text COLLATE utf8_unicode_ci NOT NULL,
  `category_path` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=544 ;

--
-- Dumping data for table `<%prefix%>categories`
--

INSERT INTO `<%prefix%>categories` (`id`, `name`, `short_name`, `created`, `parent_id`, `enabled`, `modified`, `sort_order`, `bulk`, `items`) VALUES
(1, 'Nature', 'nature', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(2, 'Cars', 'cars', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(3, '3D', '3d', '0000-00-00 00:00:00', 0, 1, '2008-07-03 10:19:17', 0, 0, 0),
(5, 'Animals', 'animals', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(8, 'Games', 'games', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(9, 'Holidays', 'holidays', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(10, 'Other', 'other', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 1),
(11, 'Sports', 'sports', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(12, 'Female celebrities', 'female_celebrities', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(14, 'Movies', 'movies', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(15, 'Hot Babes / Girls', 'hot_babes_girls', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(16, 'Computers', 'computers', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(17, 'Anime / Animated', 'anime_animated', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(18, 'Aircrafts / Planes', 'aircrafts___planes', '0000-00-00 00:00:00', 0, 1, '2008-07-02 11:45:59', 0, 0, 0),
(19, 'World', 'world', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(20, 'Motorcycles', 'motorcycles', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(21, 'Music', 'music', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(22, 'Male celebrities', 'male_celebrities', '0000-00-00 00:00:00', 0, 1, '0000-00-00 00:00:00', 0, 0, 0),
(27, 'Flowers', 'flowers', '0000-00-00 00:00:00', 1, 1, '0000-00-00 00:00:00', 0, 0, 0),
(28, 'Scenery', 'scenery', '0000-00-00 00:00:00', 1, 1, '0000-00-00 00:00:00', 0, 0, 0),
(29, 'Abstract 3D', 'abstract_3d', '0000-00-00 00:00:00', 3, 1, '0000-00-00 00:00:00', 0, 0, 0),
(44, 'Microsoft', 'microsoft', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(51, 'Plants', 'plants', '0000-00-00 00:00:00', 1, 1, '0000-00-00 00:00:00', 0, 0, 0),
(56, 'Reptiles', 'reptiles', '0000-00-00 00:00:00', 5, 1, '0000-00-00 00:00:00', 0, 0, 0),
(58, 'Fish', 'fish', '0000-00-00 00:00:00', 5, 1, '0000-00-00 00:00:00', 0, 0, 0),
(59, 'Audi', 'audi', '0000-00-00 00:00:00', 2, 1, '0000-00-00 00:00:00', 0, 0, 0),
(61, 'Insects', 'insects', '0000-00-00 00:00:00', 5, 1, '0000-00-00 00:00:00', 0, 0, 0),
(62, 'Others', 'others', '0000-00-00 00:00:00', 18, 1, '0000-00-00 00:00:00', 0, 0, 0),
(65, 'Peugeot', 'peugeot', '0000-00-00 00:00:00', 2, 1, '0000-00-00 00:00:00', 0, 0, 0),
(67, 'Cats', 'cats', '0000-00-00 00:00:00', 5, 1, '0000-00-00 00:00:00', 0, 0, 0),
(68, 'Space', 'space', '0000-00-00 00:00:00', 3, 1, '0000-00-00 00:00:00', 0, 0, 0),
(69, 'Aston Martin', 'aston_martin', '0000-00-00 00:00:00', 2, 1, '0000-00-00 00:00:00', 0, 0, 0),
(98, 'Firefox', 'firefox', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(113, 'Linux', 'linux', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(114, 'Other', 'other_nature', '0000-00-00 00:00:00', 1, 1, '0000-00-00 00:00:00', 0, 0, 0),
(116, 'Other', 'other_animals', '0000-00-00 00:00:00', 5, 1, '0000-00-00 00:00:00', 0, 0, 0),
(145, 'Clean style', 'clean_style', '0000-00-00 00:00:00', 10, 1, '0000-00-00 00:00:00', 0, 0, 1),
(193, 'Spiderman', 'spiderman', '0000-00-00 00:00:00', 14, 1, '0000-00-00 00:00:00', 0, 0, 0),
(198, 'France', 'france', '0000-00-00 00:00:00', 19, 1, '0000-00-00 00:00:00', 0, 0, 0),
(203, 'Football', 'football', '0000-00-00 00:00:00', 11, 1, '0000-00-00 00:00:00', 0, 0, 0),
(311, 'Windows Vista', 'windo<%prefix%>vista', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(316, 'Other', 'other_cars', '0000-00-00 00:00:00', 2, 1, '0000-00-00 00:00:00', 0, 0, 0),
(330, 'Lucy Pinder', 'lucy_pinder', '0000-00-00 00:00:00', 12, 1, '0000-00-00 00:00:00', 0, 0, 0),
(393, 'Australia', 'australia', '0000-00-00 00:00:00', 19, 1, '0000-00-00 00:00:00', 0, 0, 0),
(409, 'Other', 'other_female_celebrities', '0000-00-00 00:00:00', 12, 1, '0000-00-00 00:00:00', 0, 0, 0),
(451, 'Apple iPhone', 'apple_iphone', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(486, 'Leopard', 'leopard', '0000-00-00 00:00:00', 16, 1, '0000-00-00 00:00:00', 0, 0, 0),
(510, 'Drawings', 'drawings', '0000-00-00 00:00:00', 17, 1, '0000-00-00 00:00:00', 0, 0, 0),
(531, 'Ironman', 'ironman', '2008-06-11 12:18:12', 14, 1, '2008-06-11 12:18:12', 0, 0, 0),
(532, 'Ocean''s 13', 'oceans_13', '2008-06-11 12:33:17', 14, 1, '2008-06-11 12:33:17', 0, 0, 0),
(533, 'Johnny Depp', 'johnny_depp', '2008-06-11 13:03:09', 22, 1, '2008-06-11 13:03:09', 0, 0, 0),
(542, 'xfiles', 'xfiles', '2008-06-18 13:59:21', 14, 1, '2008-06-18 13:59:21', 0, 0, 0),
(541, 'motocycles', 'motocycles', '2008-06-18 13:59:04', 0, 1, '2008-06-18 13:59:04', 0, 0, 0),
(540, 'abstract', 'abstract', '2008-06-18 13:58:23', 0, 1, '2008-06-18 13:58:23', 0, 0, 0),
(543, 'Waterfall', 'waterfall', '2008-06-18 15:41:55', 540, 1, '2008-06-18 15:41:55', 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>categories_categories`
--

DROP TABLE IF EXISTS `<%prefix%>categories_categories`;
CREATE TABLE IF NOT EXISTS `<%prefix%>categories_categories` (
  `parent_id` int(255) unsigned NOT NULL,
  `category_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`parent_id`,`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>categories_categories`
--

INSERT INTO `<%prefix%>categories_categories` (`parent_id`, `category_id`) VALUES
(0, 1),
(0, 2),
(0, 3),
(0, 5),
(0, 8),
(0, 9),
(0, 10),
(0, 11),
(0, 12),
(0, 14),
(0, 15),
(0, 16),
(0, 17),
(0, 18),
(0, 19),
(0, 20),
(0, 21),
(0, 22),
(0, 540),
(0, 541),
(1, 27),
(1, 28),
(1, 51),
(1, 114),
(2, 59),
(2, 65),
(2, 69),
(2, 316),
(3, 29),
(3, 68),
(5, 56),
(5, 58),
(5, 61),
(5, 67),
(5, 116),
(10, 145),
(11, 203),
(12, 330),
(12, 409),
(14, 193),
(14, 531),
(14, 532),
(14, 542),
(16, 44),
(16, 98),
(16, 113),
(16, 311),
(16, 451),
(16, 486),
(17, 510),
(18, 62),
(19, 198),
(19, 393),
(22, 533),
(540, 543);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>color_schemes`
--

DROP TABLE IF EXISTS `<%prefix%>color_schemes`;
CREATE TABLE IF NOT EXISTS `<%prefix%>color_schemes` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `value` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `scheme_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=130 ;

--
-- Dumping data for table `<%prefix%>color_schemes`
--

INSERT INTO `<%prefix%>color_schemes` (`id`, `key`, `value`, `scheme_name`) VALUES
(39, 'BODY_BACKGROUND_COLOR', '#664D37', 'Blue and orange'),
(45, 'SITE_LINKS_HOVER', '#FF8B00', 'Blue and orange'),
(44, 'SITE_LINKS_COLOR', '#000000', 'Blue and orange'),
(43, 'BODY_TEXT_COLOR', '#000000', 'Blue and orange'),
(42, 'MENU_LINK_HOVER', '#000000', 'Blue and orange'),
(41, 'MENU_LINK_COLOR', '#FFFFFF', 'Blue and orange'),
(40, 'MENU_BACKGROUND_COLOR', '#00B7F1', 'Blue and orange'),
(25, 'BODY_BACKGROUND_COLOR', '#FAD8D7', 'Pink and black'),
(26, 'MENU_BACKGROUND_COLOR', '#343434', 'Pink and black'),
(27, 'MENU_LINK_COLOR', '#E56888', 'Pink and black'),
(28, 'MENU_LINK_HOVER', '#FFFFFF', 'Pink and black'),
(29, 'BODY_TEXT_COLOR', '#434343', 'Pink and black'),
(30, 'SITE_LINKS_COLOR', '#434343', 'Pink and black'),
(31, 'SITE_LINKS_HOVER', '#E56888', 'Pink and black'),
(32, 'PANEL_LINKS_COLOR', '#434343', 'Pink and black'),
(33, 'PANEL_LINKS_HOVER', '#E56888', 'Pink and black'),
(34, 'PANEL_BACKGROUND_COLOR', '#F2F2F2', 'Pink and black'),
(35, 'SITE_HEADER_TEXT', '#E56888', 'Pink and black'),
(36, 'PAGE_BACKGROUND_COLOR', '#FFFFFF', 'Pink and black'),
(38, 'BORDERS_COLOR', '#CCCCCC', 'Pink and black'),
(46, 'PANEL_LINKS_COLOR', '#000000', 'Blue and orange'),
(47, 'PANEL_LINKS_HOVER', '#00B7F1', 'Blue and orange'),
(48, 'PANEL_BACKGROUND_COLOR', '#F1F1F0', 'Blue and orange'),
(49, 'SITE_HEADER_TEXT', '#FF8B00', 'Blue and orange'),
(50, 'PAGE_BACKGROUND_COLOR', '#FFFFFF', 'Blue and orange'),
(51, 'BORDERS_COLOR', '#00B7F1', 'Blue and orange'),
(100, 'PANEL_BACKGROUND_COLOR', '#F1F1F0', 'Dark blue and red'),
(99, 'PANEL_LINKS_HOVER', '#660000', 'Dark blue and red'),
(98, 'PANEL_LINKS_COLOR', '#003953', 'Dark blue and red'),
(97, 'SITE_LINKS_HOVER', '#660000', 'Dark blue and red'),
(96, 'SITE_LINKS_COLOR', '#003953', 'Dark blue and red'),
(95, 'BODY_TEXT_COLOR', '#003953', 'Dark blue and red'),
(94, 'MENU_LINK_HOVER', '#DBE5ED', 'Dark blue and red'),
(93, 'MENU_LINK_COLOR', '#FFFFFF', 'Dark blue and red'),
(92, 'MENU_BACKGROUND_COLOR', '#1C262F', 'Dark blue and red'),
(91, 'BODY_BACKGROUND_COLOR', '#DBE5ED', 'Dark blue and red'),
(78, 'BODY_BACKGROUND_COLOR', '#F4C2F3', 'Purple'),
(79, 'MENU_BACKGROUND_COLOR', '#82077E', 'Purple'),
(80, 'MENU_LINK_COLOR', '#FFFFFF', 'Purple'),
(81, 'MENU_LINK_HOVER', '#000000', 'Purple'),
(82, 'BODY_TEXT_COLOR', '#404040', 'Purple'),
(83, 'SITE_LINKS_COLOR', '#404040', 'Purple'),
(84, 'SITE_LINKS_HOVER', '#BA00B3', 'Purple'),
(85, 'PANEL_LINKS_COLOR', '#404040', 'Purple'),
(86, 'PANEL_LINKS_HOVER', '#BA00B3', 'Purple'),
(87, 'PANEL_BACKGROUND_COLOR', '#FFDDFE', 'Purple'),
(88, 'SITE_HEADER_TEXT', '#82077E', 'Purple'),
(89, 'PAGE_BACKGROUND_COLOR', '#FFFFFF', 'Purple'),
(90, 'BORDERS_COLOR', '#BA00B3', 'Purple'),
(101, 'SITE_HEADER_TEXT', '#660000', 'Dark blue and red'),
(102, 'PAGE_BACKGROUND_COLOR', '#FFFFFF', 'Dark blue and red'),
(103, 'BORDERS_COLOR', '#660000', 'Dark blue and red'),
(117, 'BODY_BACKGROUND_COLOR', '#B7AE9F', 'Brown'),
(118, 'MENU_BACKGROUND_COLOR', '#473414', 'Brown'),
(119, 'MENU_LINK_COLOR', '#F5E2C2', 'Brown'),
(120, 'MENU_LINK_HOVER', '#000000', 'Brown'),
(121, 'BODY_TEXT_COLOR', '#000000', 'Brown'),
(122, 'SITE_LINKS_COLOR', '#000000', 'Brown'),
(123, 'SITE_LINKS_HOVER', '#DB7B36', 'Brown'),
(124, 'PANEL_LINKS_COLOR', '#000000', 'Brown'),
(125, 'PANEL_LINKS_HOVER', '#DB7B36', 'Brown'),
(126, 'PANEL_BACKGROUND_COLOR', '#F5F5F5', 'Brown'),
(127, 'SITE_HEADER_TEXT', '#DB7B36', 'Brown'),
(128, 'PAGE_BACKGROUND_COLOR', '#FFFFFF', 'Brown'),
(129, 'BORDERS_COLOR', '#000000', 'Brown');

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>comments`
--

DROP TABLE IF EXISTS `<%prefix%>comments`;
CREATE TABLE IF NOT EXISTS `<%prefix%>comments` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(255) unsigned NOT NULL,
  `comment_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `comment` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `ip` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `host` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(255) unsigned NOT NULL,
  `parent_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `<%prefix%>comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>friends`
--

DROP TABLE IF EXISTS `<%prefix%>friends`;
CREATE TABLE IF NOT EXISTS `<%prefix%>friends` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `enabled` int(1) NOT NULL DEFAULT '1',
  `sort_order` int(255) unsigned NOT NULL,
  `display` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `<%prefix%>friends`
--

INSERT INTO `<%prefix%>friends` (`id`, `title`, `url`, `created`, `modified`, `enabled`, `sort_order`) VALUES
(1, 'hebus.com', 'http://hebus.com', '2008-06-11 10:50:31', '2008-06-11 10:50:31', 1, 0),
(2, 'Free Desktop Wallpapers', 'http://wallpaper-land.com', '2008-06-11 10:50:48', '2008-06-11 10:50:48', 1, 1),
(3, 'CSS Creme', 'http://csscreme.com/', '2008-06-11 10:52:02', '2008-06-11 10:52:02', 1, 3),
(4, 'Launching Soon', 'http://launchsoon.com/', '2008-06-11 10:52:18', '2008-06-11 10:52:18', 1, 4),
(5, 'iPhone Wallpapers', 'http://www.iphone-wallpapers.org/', '2008-06-11 10:52:35', '2008-06-11 10:52:35', 1, 6),
(6, 'CSS Gallery 2.0', 'http://www.css20.com', '2008-06-11 10:53:00', '2008-06-11 10:53:00', 1, 5),
(7, 'Top CSS Templates', 'http://topcsstemplates.com/', '2008-06-11 10:53:35', '2008-06-11 10:53:35', 1, 7),
(8, 'PageRank 7 Directory ', 'http://tasgpage.com', '2008-06-11 10:53:54', '2008-06-11 10:53:54', 1, 8),
(9, 'iPod Touch Wallpapers', 'http://ipodtouchwallpapers.us/', '2008-06-11 10:54:18', '2008-06-11 10:54:18', 1, 9),
(10, 'Give One Buck & Win', 'http://giveonebuck.com/', '2008-06-11 10:54:37', '2008-06-11 10:54:37', 1, 10),
(11, 'Free File Hosting', 'http://fastfreefilehosting.com/', '2008-06-11 10:54:50', '2008-06-11 10:54:50', 1, 11),
(12, 'AJAX Password Strength', 'http://passwordstrength.net/', '2008-06-11 10:55:08', '2008-06-11 10:55:08', 1, 12),
(13, 'Funny Beez', 'http://www.funnybeez.com/', '2008-06-11 10:55:26', '2008-06-11 10:55:26', 1, 15),
(14, 'Avatars Vault', 'http://www.avatarsvault.com/', '2008-06-11 10:55:43', '2008-06-11 10:55:43', 1, 14),
(15, 'Flash Games Mania', 'http://www.flash-games-mania.com/', '2008-06-11 10:55:58', '2008-06-11 10:55:58', 1, 13),
(16, 'Wallpaper land', 'http://wallpaper-land.com', '2008-06-11 10:56:25', '2008-06-11 10:56:25', 1, 2);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>items`
--

DROP TABLE IF EXISTS `<%prefix%>items`;
CREATE TABLE IF NOT EXISTS `<%prefix%>items` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `keywords` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `num_votes` int(255) NOT NULL,
  `total_votes` float(100,2) NOT NULL,
  `downloads` int(255) NOT NULL,
  `featured` int(1) NOT NULL,
  `enabled` int(1) NOT NULL DEFAULT '1',
  `visible` int(1) NOT NULL DEFAULT '1',
  `short_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `views` int(255) NOT NULL,
  `author_id` int(255) NOT NULL,
  `sort_order` int(255) unsigned NOT NULL,
  `bulk` int(255) unsigned NOT NULL DEFAULT '0',
  `is_wide` int(1) NOT NULL DEFAULT '0',
  `is_hd` int(1) NOT NULL DEFAULT '0',
  `item_url` varchar(255) NOT NULL,
  `item_description` longtext NOT NULL,
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_description` text COLLATE utf8_unicode_ci NOT NULL,
  `category_path` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `<%prefix%>items`
--

INSERT INTO `<%prefix%>items` (`id`, `name`, `keywords`, `created`, `modified`, `num_votes`, `total_votes`, `downloads`, `featured`, `enabled`, `visible`, `short_name`, `views`, `author_id`, `sort_order`, `bulk`, `is_wide`, `is_hd`, `item_url`, `item_description`) VALUES
(1, 'Coloured crayons', 'colour crayon white red orange yellow green blue', '2008-06-11 11:51:45', '2008-06-11 11:51:45', 0, 0.00, 0, 0, 1, 1, 'coloured_crayons', 3, 0, 0, 0, 0, 0, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>items_categories`
--

DROP TABLE IF EXISTS `<%prefix%>items_categories`;
CREATE TABLE IF NOT EXISTS `<%prefix%>items_categories` (
  `item_id` int(255) NOT NULL,
  `category_id` int(255) NOT NULL,
  PRIMARY KEY (`item_id`,`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>items_categories`
--

INSERT INTO `<%prefix%>items_categories` (`item_id`, `category_id`) VALUES
(1, 145);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>items_resolutions`
--

DROP TABLE IF EXISTS `<%prefix%>items_resolutions`;
CREATE TABLE IF NOT EXISTS `<%prefix%>items_resolutions` (
  `item_id` int(255) NOT NULL,
  `resolution_id` int(100) NOT NULL,
  PRIMARY KEY (`item_id`,`resolution_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>items_resolutions`
--

INSERT INTO `<%prefix%>items_resolutions` (`item_id`, `resolution_id`) VALUES
(1, 1),
(1, 2),
(1, 9);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>ratings`
--

DROP TABLE IF EXISTS `<%prefix%>ratings`;
CREATE TABLE IF NOT EXISTS `<%prefix%>ratings` (
  `id` varchar(11) NOT NULL,
  `total_votes` int(11) NOT NULL DEFAULT '0',
  `total_value` int(11) NOT NULL DEFAULT '0',
  `used_ips` longtext,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>ratings`
--

INSERT INTO `<%prefix%>ratings` (`id`, `total_votes`, `total_value`, `used_ips`) VALUES
('1', 0, 0, ''),
('', 0, 0, ''),
('2', 0, 0, ''),
('82', 0, 0, ''),
('83', 0, 0, ''),
('84', 0, 0, ''),
('85', 0, 0, ''),
('86', 0, 0, ''),
('87', 0, 0, ''),
('88', 0, 0, ''),
('89', 0, 0, ''),
('90', 0, 0, ''),
('91', 0, 0, ''),
('92', 0, 0, ''),
('71', 0, 0, ''),
('194', 0, 0, ''),
('193', 0, 0, ''),
('192', 0, 0, ''),
('191', 0, 0, ''),
('190', 0, 0, ''),
('189', 0, 0, ''),
('188', 0, 0, ''),
('187', 0, 0, ''),
('186', 0, 0, ''),
('185', 0, 0, ''),
('184', 0, 0, ''),
('205', 0, 0, ''),
('204', 0, 0, ''),
('203', 0, 0, ''),
('202', 0, 0, ''),
('201', 0, 0, ''),
('200', 0, 0, ''),
('199', 0, 0, ''),
('198', 0, 0, ''),
('197', 0, 0, ''),
('196', 0, 0, ''),
('195', 0, 0, ''),
('213', 0, 0, ''),
('216', 0, 0, ''),
('215', 0, 0, ''),
('214', 0, 0, ''),
('212', 0, 0, ''),
('211', 0, 0, ''),
('210', 0, 0, ''),
('209', 0, 0, ''),
('208', 0, 0, ''),
('207', 0, 0, ''),
('206', 0, 0, ''),
('224', 0, 0, ''),
('223', 0, 0, ''),
('227', 0, 0, ''),
('226', 0, 0, ''),
('225', 0, 0, ''),
('222', 0, 0, ''),
('221', 0, 0, ''),
('220', 0, 0, ''),
('219', 0, 0, ''),
('218', 0, 0, ''),
('217', 0, 0, ''),
('266', 0, 0, ''),
('265', 0, 0, ''),
('264', 0, 0, ''),
('263', 0, 0, ''),
('262', 0, 0, ''),
('261', 0, 0, ''),
('260', 0, 0, ''),
('259', 0, 0, ''),
('258', 0, 0, ''),
('257', 0, 0, ''),
('256', 0, 0, ''),
('255', 0, 0, ''),
('254', 0, 0, ''),
('253', 0, 0, ''),
('252', 0, 0, ''),
('251', 0, 0, ''),
('250', 0, 0, ''),
('249', 0, 0, ''),
('248', 0, 0, ''),
('247', 0, 0, ''),
('246', 0, 0, ''),
('245', 0, 0, ''),
('244', 0, 0, ''),
('243', 0, 0, ''),
('242', 0, 0, ''),
('241', 0, 0, ''),
('240', 0, 0, ''),
('239', 0, 0, ''),
('238', 0, 0, ''),
('237', 0, 0, ''),
('236', 0, 0, ''),
('235', 0, 0, ''),
('234', 0, 0, ''),
('233', 0, 0, ''),
('232', 0, 0, ''),
('231', 0, 0, ''),
('230', 0, 0, ''),
('229', 0, 0, ''),
('228', 0, 0, ''),
('268', 0, 0, ''),
('267', 0, 0, ''),
('269', 0, 0, ''),
('566', 0, 0, ''),
('565', 0, 0, ''),
('564', 0, 0, ''),
('563', 0, 0, ''),
('562', 0, 0, ''),
('561', 0, 0, ''),
('560', 0, 0, ''),
('559', 0, 0, ''),
('558', 0, 0, ''),
('557', 0, 0, ''),
('556', 0, 0, ''),
('555', 0, 0, ''),
('577', 0, 0, ''),
('576', 0, 0, ''),
('575', 0, 0, ''),
('574', 0, 0, ''),
('573', 0, 0, ''),
('572', 0, 0, ''),
('571', 0, 0, ''),
('570', 0, 0, ''),
('569', 0, 0, ''),
('568', 0, 0, ''),
('567', 0, 0, ''),
('578', 0, 0, ''),
('579', 0, 0, ''),
('582', 0, 0, ''),
('581', 0, 0, ''),
('580', 0, 0, ''),
('583', 0, 0, ''),
('585', 0, 0, ''),
('596', 0, 0, ''),
('595', 0, 0, ''),
('594', 0, 0, ''),
('593', 0, 0, ''),
('592', 0, 0, ''),
('591', 0, 0, ''),
('590', 0, 0, ''),
('589', 0, 0, ''),
('588', 0, 0, ''),
('587', 0, 0, ''),
('586', 0, 0, ''),
('598', 0, 0, ''),
('597', 0, 0, ''),
('601', 0, 0, ''),
('600', 0, 0, ''),
('599', 0, 0, ''),
('602', 0, 0, ''),
('607', 0, 0, ''),
('606', 0, 0, ''),
('605', 0, 0, ''),
('604', 0, 0, ''),
('603', 0, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>resolutions`
--

DROP TABLE IF EXISTS `<%prefix%>resolutions`;
CREATE TABLE IF NOT EXISTS `<%prefix%>resolutions` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `width` int(10) NOT NULL,
  `height` int(10) NOT NULL,
  `category` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `sort_order` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=29 ;

--
-- Dumping data for table `<%prefix%>resolutions`
--

INSERT INTO `<%prefix%>resolutions` (`id`, `width`, `height`, `category`, `sort_order`) VALUES
(1, 1024, 768, 'Normal 4:3', 2),
(2, 1152, 864, 'Normal 4:3', 3),
(3, 1280, 800, 'Wide', 101),
(4, 1440, 900, 'Wide', 102),
(5, 1680, 1050, 'Wide', 103),
(6, 1920, 1200, 'Wide', 104),
(7, 2560, 1600, 'Wide', 105),
(8, 1280, 1024, 'Normal 5:4', 201),
(9, 1600, 1200, 'Normal 4:3', 6),
(10, 1920, 1440, 'Normal 4:3', 7),
(11, 1920, 1080, 'HD', 304),
(12, 1366, 768, 'HD', 303),
(13, 1280, 720, 'HD', 302),
(14, 852, 480, 'HD', 301),
(15, 1280, 960, 'Normal 4:3', 4),
(16, 1400, 1050, 'Normal 4:3', 5),
(17, 800, 600, 'Normal 4:3', 1),
(18, 2048, 768, 'Multi Monitor 4:3', 401),
(19, 2304, 864, 'Multi Monitor 4:3', 402),
(20, 2560, 960, 'Multi Monitor 4:3', 403),
(21, 2800, 1050, 'Multi Monitor 4:3', 404),
(22, 3200, 1200, 'Multi Monitor 4:3', 405),
(23, 4096, 1536, 'Multi Monitor 4:3', 406),
(24, 2000, 625, 'Multi Monitor 16:5', 501),
(25, 2880, 900, 'Multi Monitor 16:5', 502),
(26, 3360, 1050, 'Multi Monitor 16:5', 503),
(27, 3840, 1200, 'Multi Monitor 16:5', 504),
(28, 320, 480, 'iPhone', 601);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>settings`
--

DROP TABLE IF EXISTS `<%prefix%>settings`;
CREATE TABLE IF NOT EXISTS `<%prefix%>settings` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `section` int(10) NOT NULL,
  `type` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'text',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

--
-- Dumping data for table `<%prefix%>settings`
--

INSERT INTO `<%prefix%>settings` (`id`, `key`, `value`, `description`, `created`, `modified`, `section`, `type`) VALUES
(1, 'SITE_NAME', 'Wallpaper Script Demo', 'Site name', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(2, 'EMAIL_FROM', '', 'Address from where the site sends emails to users', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(3, 'EMAIL_REPLY_TO', '', 'Address where the users can reply to the emails the site sends.', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(4, 'COOKIE_EXPIRE_TIME', '864000', 'Time after the cookie expires', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(5, 'ITEMS_PER_PAGE', '12', 'How many items do you want to see per page?', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(6, 'TEMPLATE', 'default', 'Current theme', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 2, 'text'),
(7, 'SITE_DESCRIPTION', 'Wallpaper Script Demo', 'Site description, write here what you want', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'textarea'),
(8, 'TRACKING_CODE', '', 'Enter the code to track visitors (like google analytics)', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'textarea'),
(9, 'ADSENSE_TOP_CODE', '', 'Adsense top code', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(10, 'COLOR_SCHEME', 'Blue and orange', 'Current color scheme', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 2, 'select'),
(11, 'ADSENSE_DETAILS_TOP_CODE', '', 'Details adsense code', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(12, 'ADSENSE_DETAILS_BIG_CODE', '', 'Details double adsense code', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(13, 'CONTACT_EMAIL', '', 'Email where contact emails are sent', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(17, 'SUGGEST_FEATURE', '0', 'If 1 the Suggest feature and the Report bug links appear', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(15, 'SITE_TITLE', 'Wallpaper Script Demo', 'Site title', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(16, 'SITE_KEYWORDS', 'Wallpaper, Script, Demo', 'Site keywords', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(18, 'AFFILIATE', '0', 'If 1 the Buy wallpaper script link appears on top menu', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(19, 'URL_WORD_SEPARATOR', '_', 'The separator used between words in the url (default _)', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(20, 'URL_TOKEN_SEPARATOR', '-', 'The separator used to designate token in the url (default -)', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text'),
(21, 'SIFR_ENABLED', '0', 'Enable or disable SIFR for site titles', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'radio'),
(22, 'JSDROPDOWN_ENABLED', '0', 'Enable or disable JS DROPDOWN for menu', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'radio'),
(23, 'LANG_DEFAULT', 'en', 'The default language for the site', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'text');
-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>sponsors`
--

DROP TABLE IF EXISTS `<%prefix%>sponsors`;
CREATE TABLE IF NOT EXISTS `<%prefix%>sponsors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `enabled` int(1) NOT NULL DEFAULT '1',
  `sort_order` int(255) unsigned NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `<%prefix%>sponsors`
--


-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>users`
--

DROP TABLE IF EXISTS `<%prefix%>users`;
CREATE TABLE IF NOT EXISTS `<%prefix%>users` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `logged` datetime NOT NULL,
  `type` enum('admin','user') CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `enabled` int(1) unsigned NOT NULL DEFAULT '1',
  `sort_order` int(255) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `<%prefix%>users`
--

INSERT INTO `<%prefix%>users` (`id`, `username`, `password`, `email`, `name`, `url`, `created`, `modified`, `logged`, `type`, `enabled`, `sort_order`) VALUES
(1, 'admin', '827ccb0eea8a706c4c34a16891f84e7b', 'adiaga@gmail.com', '', '', '0000-00-00 00:00:00', '2008-06-19 11:11:19', '2008-07-04 11:06:20', 'admin', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>users_items`
--

DROP TABLE IF EXISTS `<%prefix%>users_items`;
CREATE TABLE IF NOT EXISTS `<%prefix%>users_items` (
  `user_id` int(255) NOT NULL,
  `item_id` int(255) NOT NULL,
  PRIMARY KEY (`user_id`,`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>users_items`
--

INSERT INTO `<%prefix%>users_items` (`user_id`, `item_id`) VALUES
(1, 1);

-- ----------------------------------------------------------





CREATE TABLE IF NOT EXISTS `<%prefix%>hook` (
  `id_hook` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `position` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_hook`),
  UNIQUE KEY `hook_name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  AUTO_INCREMENT=7 ;

--
-- Dumping data for table `<%prefix%>hook`
--

INSERT INTO `<%prefix%>hook` (`id_hook`, `name`, `title`, `description`, `position`) VALUES
(1, 'Footer', 'Footer place', NULL, 80),
(2, 'Content', 'Content section', NULL, 10),
(3, 'Right', 'Right section block', NULL, 90),
(4, 'Left', 'Left section block', NULL, 90),
(5, 'Head', 'Head of the html file', NULL, 2),
(6, 'UserMenuLinks', 'User Menu Links', NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>hook_module`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>hook_module` (
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `position` tinyint(2) unsigned NOT NULL,
  KEY `hook_module_index` (`id_module`,`id_hook`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `<%prefix%>hook_module`
--

INSERT INTO `<%prefix%>hook_module` (`id_module`, `id_hook`, `position`) VALUES
(11, 3, 1),
(33, 2, 1),
(33, 5, 1),
(5, 4, 1),
(35, 4, 1),
(7, 4, 2),
(8, 5, 1),
(8, 3, 4),
(8, 2, 1),
(10, 2, 1),
(10, 6, 1),
(16, 6, 1),
(16, 2, 1),
(17, 1, 1),
(18, 3, 2),
(19, 4, 4),
(20, 3, 3),
(21, 2, 1),
(21, 5, 1),
(22, 2, 1),
(22, 5, 1),
(23, 2, 1),
(23, 5, 1),
(24, 2, 1),
(24, 5, 1),
(25, 2, 1),
(25, 5, 1),
(26, 2, 1),
(35, 2, 1),
(33, 6, 1),
(28, 2, 1),
(35, 5, 1);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>hook_module_exceptions`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>hook_module_exceptions` (
  `id_hook_module_exceptions` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `file_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` enum('include','exclude') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'exclude',
  PRIMARY KEY (`id_hook_module_exceptions`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  AUTO_INCREMENT=1 ;

--
-- Dumping data for table `<%prefix%>hook_module_exceptions`
--


-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>module`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>module` (
  `id_module` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `active` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_module`),
  KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  AUTO_INCREMENT=36 ;

--
-- Dumping data for table `<%prefix%>module`
--

INSERT INTO `<%prefix%>module` (`id_module`, `name`, `active`) VALUES
(11, 'UserMenuBlock', 1),
(33, 'Translations', 1),
(5, 'SearchBlock', 1),
(35, 'FriendsBlock', 1),
(7, 'PartnersBlock', 1),
(8, 'UsersOnline', 1),
(10, 'ManageWatermarks', 1),
(16, 'gsitemap', 1),
(17, 'FooterLinks', 1),
(18, 'CategoriesBlock', 1),
(19, 'ResolutionsBlock', 1),
(20, 'StatisticsBlock', 1),
(21, 'MainLatestCategoriesUpdates', 1),
(22, 'MainLatestWallpapers', 1),
(23, 'MainRandomWallpaper', 1),
(24, 'MainTagCategory', 1),
(25, 'MainTopVotes', 1),
(26, 'ManageItems', 1),
(28, 'TopViewedWallpapers', 1);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>tags`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>tags` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(255) unsigned NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  AUTO_INCREMENT=23 ;

--
-- Dumping data for table `<%prefix%>tags`
--

INSERT INTO `<%prefix%>tags` (`id`, `name`, `user_id`, `created`, `modified`) VALUES
(1, 'tigers', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 'green grass', 1, '2008-10-23 01:52:14', '2008-10-23 01:52:14'),
(3, 'white tigers', 1, '2008-10-23 01:57:35', '2008-10-23 01:57:35'),
(4, 'white fur', 1, '2008-10-23 02:07:10', '2008-10-23 02:07:10'),
(5, 'black stripes', 1, '2008-10-23 02:13:35', '2008-10-23 02:13:35'),
(6, 'red nose', 1, '2008-10-23 02:29:51', '2008-10-23 02:29:51'),
(7, 'colour', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(8, 'crayon', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(9, 'white', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(10, 'red', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(11, 'orange', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(12, 'yellow', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(13, 'green', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(14, 'blue', 1, '2008-10-24 15:04:55', '2008-10-24 15:04:55'),
(22, 'red sun', 1, '2008-10-26 20:24:18', '2008-10-26 20:24:18'),
(21, 'sunset', 1, '2008-10-26 20:24:12', '2008-10-26 20:24:12');

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>tags_items`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>tags_items` (
  `tag_id` int(255) unsigned NOT NULL,
  `item_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`tag_id`,`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;

--
-- Dumping data for table `<%prefix%>tags_items`
--

INSERT INTO `<%prefix%>tags_items` (`tag_id`, `item_id`) VALUES
(0, 1084),
(0, 1255),
(0, 1260),
(1, 1255),
(2, 1255),
(3, 1255),
(4, 1255),
(5, 1255),
(6, 1255),
(7, 1),
(8, 1),
(9, 1),
(9, 1255),
(10, 1),
(11, 1),
(12, 1),
(13, 1),
(14, 1),
(21, 1260),
(22, 1260);

-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>watermarks`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>watermarks` (
  `id` int(100) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `type` enum('text','image') COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `position` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` int(1) unsigned NOT NULL DEFAULT '1',
  `color` varchar(6) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'FFFFFF',
  `size` int(10) unsigned NOT NULL DEFAULT '16',
  `offsetx` int(10) NOT NULL DEFAULT '0',
  `offsety` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  AUTO_INCREMENT=3 ;

--
-- Dumping data for table `<%prefix%>watermarks`
--

INSERT INTO `<%prefix%>watermarks` (`id`, `title`, `text`, `type`, `created`, `modified`, `position`, `image`, `enabled`, `color`, `size`, `offsetx`, `offsety`) VALUES
(1, 'Wallpapers.NET', 'Wallpapers.NET', 'image', '2008-10-13 14:27:59', '2008-10-14 12:27:40', 'BottomRight', '1_1.png', 0, 'FFFFFF', 16, 0, 0),
(2, 'Copyright 2008', 'Copyright 2008', 'text', '2008-10-13 18:08:17', '2008-10-13 18:08:17', 'TopLeft', '', 0, 'FFFFFF', 16, 0, 0);



CREATE TABLE IF NOT EXISTS `<%prefix%>users_online` (
  `user_id` int(255) unsigned NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `session_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `user_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `host` varchar(255) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;




CREATE TABLE IF NOT EXISTS `<%prefix%>friends_referrals` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `host` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `friend_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `<%prefix%>friends_referrals`
--


-- --------------------------------------------------------

--
-- Table structure for table `<%prefix%>languages`
--

CREATE TABLE IF NOT EXISTS `<%prefix%>languages` (
  `id_lang` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `iso_code` varchar(5) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id_lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `<%prefix%>languages`
--

INSERT INTO `<%prefix%>languages` (`id_lang`, `name`, `iso_code`, `created`, `modified`) VALUES
(1, 'English', 'en', '0000-00-00 00:00:00', '2008-10-25 21:28:09'),
(2, 'Romanian', 'ro', '0000-00-00 00:00:00', '2008-10-25 21:28:55'),
(3, 'French', 'fr', '2008-10-25 21:22:58', '2008-10-25 21:22:58');
