<?php

class MainLatestWallpapers extends Module
{	
	function MainLatestWallpapers()
	{
	 	$this->name = 'MainLatestWallpapers';
	 	$this->version = '1.0';
        $this->displayName = 'Latest Wallpapers on Home page';
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Main Latest Wallpapers script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install() OR !$this->registerHook('content') OR !$this->registerHook('head'))
			return false;
		return true;
    }
	
	function uninstall()
	{
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	function hookHead($params)
	{
		global $step, $smarty, $DB;
		
		if ($params["page_name"]!="index") return "";
				
		$output = $this->display(__FILE__, 'mainlatestwallpapers_head.tpl');
		
		return $output;
	}
	
	function hookContent($params)
	{
		global $step, $smarty, $DB, $cache_id;
		
		if ($params["page_name"]!="index") return "";
		$is_cached = false;
		if ($smarty->is_cached($this->_path.'mainlatestwallpapers.tpl', $cache_id) and $this->cacheable)
		{
			$is_cached = true;
		}

		if (!$is_cached) 
		{
			$sql = "SELECT * FROM `".DB_PREFIX."items` WHERE `enabled`=1 AND `visible`=1 order by `created` DESC limit 0,10";
			
			$items = $DB->getAll($sql);	
			
			$smarty->assign("itemsMainLatestWallpapers", $items);
			$smarty->assign("modulePath", $this->_path);
		}
		
		$output = $this->display(__FILE__, 'mainlatestwallpapers.tpl');
		
		return $output;
	}
	
	
	
}
?>