<?php

class ManageItems extends Module
{	
	function ManageItems()
	{
	 	$this->name = 'ManageItems';
	 	$this->version = '1.0';
        $this->displayName = 'Manage Items';
		$this->cacheable = false;
		
		parent::Module();
		
		$this->page = basename(__FILE__, '.php');
		
		//$this->warning = $this->l('You have not yet set your Footer Links ID');
        
		$this->description = $this->l('Integrate the Manage Items script into your site');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        global $smarty, $DB;
		
	
		if (!parent::install() OR !$this->registerHook('content'))
			return false;
		return true;
    }
	
	function uninstall()
	{
		global $smarty, $DB;
		
		if (!parent::uninstall())
			return false;
		return true;
	}
	
	function hookContent($params)
	{
		global $smarty, $_SESSION, $DB, $cache_id, $_REQUEST, $siteError;
		$output = '';
		if ($params['page_name']=="admin_items" and $_SESSION['user_data']['type']=="admin")
		{
			
			
			$page = $params['page'];
			/*$sql = "SELECT COUNT(`id`) as `total` FROM `".DB_PREFIX."items` a WHERE 1 $str_search ";
			$total = $DB->get($sql);
			$total = $total['total'];
			
			$sql = "SELECT a.* FROM `".DB_PREFIX."items` a WHERE 1 $str_search $str_order LIMIT ".($page-1)*GRID_ITEMS_PER_PAGE.", ".GRID_ITEMS_PER_PAGE;
			$items_data = $DB->getAll($sql);*/
						
	
			
					 
			
			$usersOnlineGrid = new thegrid($DB, 
			array(
			"table_name" => DB_PREFIX."items", 
			"edit_id" => $_REQUEST["id_column"],
			"id" => "itemsGrid", 
		
			"view_columns" => array("id" => array("title" => $this->l('Id'), "sort" => "a.id", "width" => "20px"), 
									"name" => array("title" => $this->l('Name'), "sort" => "a.name"), 
							 		"created" => array("title" => $this->l('Created'), "sort" => "a.created")
							  ),
			"edit_columns" => array("name" => array("title" => $this->l('Name'), "type" => "text"), 
							"item_description" => array("title" => $this->l('Description'), "type" => "textarea"), 
							"item_url" => array("title" => $this->l('Source URL'), "type" => "text"),
							/*"city_id" => array("title" => $this->l('City'), "type" => "multi_select", "values_sql" => "SELECT * FROM `".TABLE_CITIES."`", 
								"values_column_id" => "id", "values_column_name" => "name"),*/
							"category_id[]" => array("title" => $this->l('Categories'), "type" => "multi_select", 
								"table" => DB_PREFIX."items_categories", 
								"values_sql" => "SELECT * FROM `".DB_PREFIX."categories"."`" ,//, `".TABLE_RESTAURANT_ZONES."` b WHERE a.id=b.zone_id
								"selected_values" => "SELECT * FROM `".DB_PREFIX."items_categories"."` WHERE item_id='%s' ",
								"values_control_column" => "item_id",
								"update" => false,
								"values_column_id" => "id", 
								"values_column_name" => "name",
								"size" => 6,
								),
							
							),
			
			"isAjaxEditForm" => false,
			"show_add" => true, 
			"is_admin" => false,
			"show_edit_controls" => true,
			"is_sortable" => true,
			"page" => $page,
			"items_per_page" => 10,		
			"page_output" => PAGE_OUTPUT,
			"id_column" => "id",
			"url" => smarty_modifier_url("admin_items"),
			"ajax_url" => smarty_modifier_url("ajax/admin_items"),
			//"additional_links" => array(array("url" => ADMIN_WEB_PATH."products?restaurant_id=", "title" => "Edit products", "image" => "table_edit.png")),				
			));
			
			switch ($_REQUEST["taction"])
			{
				case "disable":
					$usersOnlineGrid->disable($_REQUEST["id_column"]);
					break;
				case "enable":
					$usersOnlineGrid->enable($_REQUEST["id_column"]);
					break;
				case "delete":
					$usersOnlineGrid->delete($_REQUEST["id_column"]);
					break;
				case "add":
				case "edit":
					if ($_REQUEST["save"]!="")
					{
						$usersOnlineGrid->save($_REQUEST["id_column"]);
						echo $siteError->show();
						echo $siteError->show("success");
						exit();
					}
					$tmp_arr = $usersOnlineGrid->get($_REQUEST["id_column"]);
					if ($tmp_arr!==false)
						$_REQUEST = array_merge($_REQUEST, $tmp_arr);
					break;
			}
			
			$usersOnlineGrid->get_data();
				
			$smarty->assign("itemsGrid", $usersOnlineGrid->show());
			
			
			if (PAGE_OUTPUT!="ajax")
				$output = $this->display(__FILE__, 'manageitems_content.tpl');
			else
				$smarty->display($this->_path.'manageitems_content.tpl', $cache_id);
		}
		return $output;
	}
	
	
	
}
?>