{literal}
<style type="text/css">
#box
{
	width:570px;
	height:280px;
	font-size:12px;
	overflow:auto;
	line-height:14px;
	border:1px solid #cccccc;
	padding:10px;
}
#box div
{
	
}
#box_overlay
{
	position:absolute;top:0;left:0;
	background-color:#666666;
	opacity:0.2;
	filter: alpha(opacity='20'); 
	width:591px;
	height:301px;
	display:none;
}
</style>


<script type="text/javascript">
$extend(myrules, {
		'#processBtn' : function(element){
			element.onclick = function(evt){
				var evt = new Event(evt).stop();
				$('processBtn').value = 'Working...';
				$('processBtn').setProperty('disabled', 'disabled');
				$('box_overlay').setStyle('display', 'block');
				bulkProcess();
			}
		}});

var bulk_counter = 0;
var dir_size;
var test_text = false;
var process_data = new Object();
process_data.item_counter = 0;
process_data.category_counter = 0;

function bulkProcess()
{
	var url = webPath + "bulk_script/bulk_process.php";
	bulk_counter++;
	var jsonRequest = new Request.JSON({url: url, onComplete: function(message){
		
		if (bulk_counter==1)
		{
			dir_size = message.dir_size;
		}
		var out;
		if (message.process_data.item_counter)
		{
			process_data.item_counter += message.process_data.item_counter;
		}
		if (message.process_data.category_counter)
		{
			process_data.category_counter += message.process_data.category_counter;
		}
		if (message.text != '')
		{
			out = message.text;
			
			$('status_bar').set('html', process_data.item_counter + "/" + dir_size.file_count );
			test_text = true;
		}
		else
		{
			if (test_text == false)
				if (message.errors!="")
					out = message.errors;
				else
				if (message.notices!="")
					out = message.notices;
				else
				{
					out = "<font color=red>No wallpapers to process. Please copy the wallpapers in the /upload/ folder using a FTP program</font>";
				}
		}
		addDiv(out);
		
		if (message.status != 2 && message.status == 1)
		{
			bulkProcess();
		}
		if (message.status == 2)
		{
			if (process_data.item_counter >0 || process_data.category_counter >0)
				addDiv(process_data.item_counter+ ' items and '+process_data.category_counter+' categories added. Bulk process completed.');
			
			$('processBtn').value = 'Bulk Process';
			$('processBtn').setProperty('disabled', '');
			$('box_overlay').setStyle('display', 'none');
		}
	}}).get();
}

function addDiv(text)
{
	var myElement  = new Element('div');
	myElement.set('html', text);

	myElement.setStyle('opacity', 0);
	myElement.inject($('box'), 'top');
	
	var myEffect = new Fx.Morph(myElement, {duration: 1000, transition: Fx.Transitions.Quart.easeOut});
	myEffect.start({
		'opacity': [0, 1]
	});
}
</script>
{/literal}

<h1>{l s='آپلود دسته جمعی'}</h1>
<div class="reset"></div>

<div style="position:relative">
	<div id="box_overlay"></div>
    <div id="box"></div>
</div>
<div id="status_bar"></div>

<br />

<input type="button" name="process" id="processBtn" class="button" value="{l s='آپلود دسته جمعی'}" />

<div style="width:590px;">
<br />
{l s='<b>نکته</b>: برای آپلود دسته جمعی میتوانید تصاویر را در پوشه <strong>/upload/</strong> از طریق FTP آپلود نمایید. همچنین شما میتوانید تصاویر را به صورت ZIP آپلود کنید!'}<br /><br />

{l s='در صورتی که شما یک پوشه به صورت <strong>/upload/Cars/Audi/</strong> ایجاد کنید. به صورت خودکار یک موضوع با نام <strong>Audi</strong> و یک زیر موضوع با نام  <strong>Cars</strong> ایجاد می شود.'}
</div>