<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php
	$title = SITE_NAME."";
	$description = $title;

	$key = explode(" ", $description);
	$keywords = trim($key[0]);
	for($i=1; $i < count($key); $i++)
		$keywords .= ",".trim($key[$i]);
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>{$meta_title}</title>
<meta name="description" content="{$meta_description}" />
<meta name="keywords" content="{$meta_keywords}" />
<meta name="distribution" content="Global" />
<meta name="rating" content="General" />
<meta name="author" content="{$smarty.const.SITE_NAME}" />
<meta name="language" content="en-us" />
<meta name="robots" content="index,follow" />
<meta name="version" content="{$smarty.const.SCRIPT_VERSION}.{$smarty.const.SCRIPT_REVISION}" />

<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="alternate" href="{$smarty.const.WEB_PATH}rss" type="application/rss+xml" title="{$meta_title} RSS" id="gallery" />
{if SIFR_ENABLED==1}
<link rel="stylesheet" href="{$smarty.const.WEB_PATH}sifr/sIFR-screen.css" type="text/css" media="screen" />
<link rel="stylesheet" href="{$smarty.const.WEB_PATH}sifr/sIFR-print.css" type="text/css" media="print" />
{/if}
<style type="text/css" media="all">
{assign var="thumb_width" value=$smarty.const.THUMB_WIDTH}
{assign var="thumb_height" value=$smarty.const.THUMB_HEIGHT}
body{ldelim}
	background-color:{$smarty.const.BODY_BACKGROUND_COLOR};
	color: {$smarty.const.BODY_TEXT_COLOR};
{rdelim}
/*test with fading png*/

a:link, a:visited, a:hover{ldelim}
	color:{$smarty.const.SITE_LINKS_COLOR};
{rdelim}
a:hover{ldelim}
	color:{$smarty.const.SITE_LINKS_HOVER};
{rdelim}
.thumb a:hover , .wallpaper-thumb:hover{ldelim}
	border:1px solid {$smarty.const.SITE_LINKS_HOVER};
{rdelim}
.thumb_img
{ldelim}
	width:{$smarty.const.THUMB_WIDTH}px;
    height:{$smarty.const.THUMB_HEIGHT}px;
{rdelim}

h1{ldelim}
	color:{$smarty.const.SITE_HEADER_TEXT};
{rdelim}

.container_inside, .content{ldelim}
	background-color:{$smarty.const.PAGE_BACKGROUND_COLOR};	
{rdelim}

/*test with fading png*/
/*add color for sliding menu*/
.menu{ldelim}
	background-color:{$smarty.const.MENU_BACKGROUND_COLOR};
	border:1px solid {$smarty.const.MENU_BACKGROUND_COLOR};	
{rdelim}
.menu a, .menu a:visited{ldelim}
	color:{$smarty.const.MENU_LINK_COLOR};
{rdelim}
.menu a:hover{ldelim}
	color:{$smarty.const.MENU_LINK_HOVER};
{rdelim}
.transMenu .items {ldelim}
	border: 1px solid {$smarty.const.MENU_BACKGROUND_COLOR};
{rdelim}

.left-panel, .right-panel{ldelim}
	background-color:{$smarty.const.PANEL_BACKGROUND_COLOR};
{rdelim}
.left-panel a:link, .left-panel a:visited, .right-panel a:link, .right-panel a:visited{ldelim}
	color:{$smarty.const.PANEL_LINKS_COLOR};
{rdelim}
.left-panel a:hover, .right-panel a:hover{ldelim}
	color:{$smarty.const.PANEL_LINKS_HOVER};
{rdelim}
.transMenu .item.hover
{ldelim}
	background-color: {$smarty.const.MENU_LINK_HOVER};
{rdelim}

.input-text, .input-textarea, .input-text-short, .input-other, .button, .thumb a, .wallpaper-thumb{ldelim}
	border:1px solid {$smarty.const.BORDERS_COLOR};
{rdelim}

.wallpaper-resolutions a:hover{ldelim}
	background-color:{$smarty.const.SITE_LINKS_HOVER};
	color:{$smarty.const.PAGE_BACKGROUND_COLOR};
{rdelim}
div#transmenu a:link, div#transmenu a:visited {ldelim}
	color: {$smarty.const.MENU_LINK_COLOR};
	background-color: {$smarty.const.MENU_BACKGROUND_COLOR};
{rdelim}
.transMenu .item {ldelim}
	
	color: {$smarty.const.MENU_LINK_COLOR};
{rdelim}
.transMenu .item.hover {ldelim}
	
	color: {$smarty.const.MENU_LINK_COLOR};
{rdelim}

.rss-back{ldelim}
	background-color:{$smarty.const.SITE_HEADER_TEXT}; 
{rdelim}

.logo-back{ldelim}
	background-color:{$smarty.const.SITE_HEADER_TEXT};
{rdelim}
ul.wallpapers li.wall{ldelim}
	width:{math equation="x + 2" x=$thumb_width}px;
	height:{math equation="y + 45" y=$thumb_height}px;
{rdelim}
.thumb_img
{ldelim}
	width:{$smarty.const.THUMB_WIDTH}px;
	height:{$smarty.const.THUMB_HEIGHT}px;
{rdelim}
</style>
<link rel="stylesheet" href="{$smarty.const.WEB_PATH}templates/{$smarty.const.TEMPLATE}/style.css" type="text/css" />
<script type="text/javascript">
	var webPath = '{$smarty.const.WEB_PATH}';
	var fullWebPath = '{$smarty.const.DOMAIN_NAME}{$smarty.const.WEB_PATH}';
	var MENU_BACKGROUND_COLOR = '{$smarty.const.MENU_BACKGROUND_COLOR}';
</script>
<script type="text/javascript" src="{$smarty.const.WEB_PATH}implode.php?type=js&amp;files={if SIFR_ENABLED==1}sifr/sifr.js,sifr/sifr-addons.js,{/if}{if $smarty.const.JSDROPDOWN_ENABLED==1}js/menu.js,{/if}js/mootools-1.2-core-yc.js,js/mootools-1.2-more.js,js/xmlhttprequest.js,js/rating.js,js/global.js,js/behavior.js"></script>
<!--[if IE 6]><link rel="stylesheet" type="text/css" href="{$smarty.const.WEB_PATH}templates/{$smarty.const.TEMPLATE}/ie6.css.php" media="screen" /><![endif]-->
<!--[if IE]><link rel="stylesheet" type="text/css" href="{$smarty.const.WEB_PATH}templates/{$smarty.const.TEMPLATE}/ie.css" media="screen" /><![endif]-->
<script type="text/javascript">
{assign var='siteErrors1' value=$siteErrors|replace:"\r":" "|replace:"\n":" "}
{assign var='siteSuccess1' value=$siteSuccess|replace:"\r":" "|replace:"\n":" "}
{assign var='siteNotices1' value=$siteNotices|replace:"\r":" "|replace:"\n":" "}
var siteErrors= '{$siteErrors1|replace:'\'':'\\\''}';
var siteSuccess= '{$siteSuccess1|replace:'\'':'\\\''}';
var siteNotices= '{$siteNotices1|replace:'\'':'\\\''}';
</script>

<script src="{$smarty.const.WEB_PATH}js/textboxlist.js" type="text/javascript" charset="utf-8"></script>
<script src="{$smarty.const.WEB_PATH}js/facebooklist.js" type="text/javascript" charset="utf-8"></script>

{$_HOOK_HEAD_}

<link rel="stylesheet" href="{$smarty.const.WEB_PATH}templates/{$smarty.const.TEMPLATE}/custom.css" type="text/css" />
</head>
<body>
{dynamic}
<div id="notifyBox" style="display:none;">
	<div id="errors">{$siteErrors}</div>
	<div id="success">{$siteSuccess}</div>
	<div id="notices">{$siteNotices}</div>
	<div class="drawerDown"></div>
</div>
{/dynamic}
<div id="body">
  <div class="top-header"></div>
  <div class="container" id="container">
    <div class="container_right">
      <div class="container_inside">
        	<div id="ie_background"></div>
            {include file="header.tpl"}
            <div class="content_background"> {include file="left.tpl"}
              <div class="content" id="content">
                {$breadCrumb}
                {dynamic}
                	
                    {$content}
                    {$_HOOK_CONTENT_}
                    <br class="reset" clear="all" />
                {/dynamic}
                {*include file=$template_page_name*} </div>
              {include file="right.tpl"}
              <div class="reset"></div>
              <br class="reset" clear="all" />
            </div>
        	<div class="reset"></div>
        	{include file="footer.tpl"} 
        </div>
      <div class="container_right_ie"></div>
    </div>
  </div>
  <div class="bottom-footer"></div>
</div>
</body>
</html>