<?php
	include "../config.php";
	
	header("Content-Type: text/html; charset=utf-8");
	ob_start();
	echo "Starting update. Please wait ...<br /><br />";
	
	
	echo "<h2>Update database</h2>";
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="items")
		{
			$test_flag = true;
			break;
		}
	}
	if ($test_flag==false)
	{		
		$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `items` INT( 255 ) UNSIGNED NOT NULL ;");
		echo "`items` column added to `".DB_PREFIX."categories` table<br />";
	}
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="bulk")
		{
			$test_flag = true;
			break;
		}
	}
	if ($test_flag==false)
	{		
		$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `bulk` INT( 1 ) UNSIGNED NOT NULL ;");
		echo "`bulk` column added to `".DB_PREFIX."categories` table<br />";
	}
	
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="bulk")
		{
			$test_flag = true;
			break;
		}
	}
	if ($test_flag==false)
	{		
		$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `items` INT( 255 ) UNSIGNED NOT NULL ");
		echo "`bulk` column added to `".DB_PREFIX."items` table<br />";
	}
	
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="description")
		{
			$test_flag = true;
			break;
		}
	}
	if ($test_flag==false)
	{		
		$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `description` TEXT NOT NULL ");
		echo "`description` column added to `".DB_PREFIX."categories` table<br />";
	}
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="thumb_id")
		{
			$test_flag = true;
			break;
		}
	}
	if ($test_flag==false)
	{		
		$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `thumb_id` INT( 255 ) UNSIGNED NOT NULL ");
		echo "`thumb_id` column added to `".DB_PREFIX."categories` table<br />";
	}
	
	
	
	$test_flag = false;
	
	$test_col = $DB->get("SELECT * FROM `".DB_PREFIX."settings` WHERE `key`='URL_WORD_SEPARATOR' ");
	if (count($test_col)==0)
	{
		$DB->query("INSERT INTO `".DB_PREFIX."settings` (
`id` ,
`key` ,
`value` ,
`description` ,
`created` ,
`modified` ,
`section` ,
`type`
)
VALUES (
NULL , 'URL_WORD_SEPARATOR', '_', 'The separator used between words in the url (default _)', '', '', '1', 'text'
);");
		echo "`URL_WORD_SEPARATOR` key added to `".DB_PREFIX."settings` table<br />";
		define ("URL_WORD_SEPARATOR", "_");
	}
	
	$test_col = $DB->get("SELECT * FROM `".DB_PREFIX."settings` WHERE `key`='URL_TOKEN_SEPARATOR' ");
	if (count($test_col)==0)
	{
		$DB->query("INSERT INTO `".DB_PREFIX."settings` (
`id` ,
`key` ,
`value` ,
`description` ,
`created` ,
`modified` ,
`section` ,
`type`
)
VALUES (
NULL , 'URL_TOKEN_SEPARATOR', '-', 'The separator used to designate token in the url (default -)', '', '', '1', 'text'
)");
		echo "`URL_TOKEN_SEPARATOR` key added to `".DB_PREFIX."settings` table<br />";
		define ("URL_TOKEN_SEPARATOR", "-");
	}
	
	
	$test_col = $DB->get("SELECT * FROM `".DB_PREFIX."settings` WHERE `key`='SIFR_ENABLED' ");
	if (count($test_col)==0)
	{
		$DB->query("INSERT INTO `".DB_PREFIX."settings` (
`id` ,
`key` ,
`value` ,
`description` ,
`created` ,
`modified` ,
`section` ,
`type`
)
VALUES (
NULL , 'SIFR_ENABLED', '0', 'Enable or disable SIFR for site titles', '', '', '1', 'radio'
)");
		echo "`SIFR_ENABLED` key added to `".DB_PREFIX."settings` table<br />";
		define ("SIFR_ENABLED", "0");
	}
	
	
	$test_col = $DB->get("SELECT * FROM `".DB_PREFIX."settings` WHERE `key`='JSDROPDOWN_ENABLED' ");
	if (count($test_col)==0)
	{
		$DB->query("INSERT INTO `".DB_PREFIX."settings` (
`id` ,
`key` ,
`value` ,
`description` ,
`created` ,
`modified` ,
`section` ,
`type`
)
VALUES (
NULL , 'JSDROPDOWN_ENABLED', '0', 'Enable or disable JS DROPDOWN for menu', '', '', '1', 'radio'
)");
		echo "`JSDROPDOWN_ENABLED` key added to `".DB_PREFIX."settings` table<br />";
		define ("JSDROPDOWN_ENABLED", "0");
	}
	
	
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="is_wide")
		{
			$test_flag = true;
			break;
		}
	}
	
	if ($test_flag===false)
	{
		$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `is_wide` INT( 1 ) NOT NULL DEFAULT '0'");
		echo "`is_wide` column added to `".DB_PREFIX."items` table<br />";
		//process wallpapers and fix the added flags
	}
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="is_hd")
		{
			$test_flag = true;
			break;
		}
	}
	
	if ($test_flag===false)
	{
		$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `is_hd` INT( 1 ) NOT NULL DEFAULT '0'");
		echo "`is_hd` column added to `".DB_PREFIX."items` table<br />";
		
	}
	//process wallpapers and fix the added flags
	if ($test_flag===false or $_REQUEST['rebuildTags']==1)
	{
		$sql = "SELECT a.item_id FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND b.category='HD' ";
		$DB->query("UPDATE `".DB_PREFIX."items` SET `is_hd`=1 WHERE id IN ($sql) ");	
		
		$sql = "SELECT a.item_id FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND b.category='Wide' ";
		$DB->query("UPDATE `".DB_PREFIX."items` SET `is_wide`=1 WHERE id IN ($sql) ");	
	}

	
	
	
	$test_flag = false;
	$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
	for ($i=0;$i<count($test_col);$i++)
	{
		if ($test_col[$i]['Field']=="item_url")
		{
			$test_flag = true;
			break;
		}
	}
	
	if ($test_flag===false)
	{
		$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `item_url` VARCHAR( 255 ) NOT NULL DEFAULT '';");
		echo "`item_url` column added to `".DB_PREFIX."items` table<br />";
		$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `item_description` LONGTEXT NOT NULL DEFAULT '';");
		echo "`item_description` column added to `".DB_PREFIX."items` table<br />";
		//process wallpapers and fix the added flags
		$DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."categories_categories` (
	  `parent_id` int(255) unsigned NOT NULL,
	  `category_id` int(255) unsigned NOT NULL,
	  PRIMARY KEY (`parent_id`,`category_id`)
	) ;");
		echo "Table `".DB_PREFIX."categories_categories` created<br />";
		$DB->query("INSERT INTO `".DB_PREFIX."categories_categories` SELECT `parent_id`, `id` FROM `".DB_PREFIX."categories` WHERE 1");
		echo "Table `".DB_PREFIX."categories_categories` populated<br />";
		
	}
	
	

	$destination_folder = LOCAL_PATH."walls";
	//rename all thumbnails
	/*$arr_find = array(",", "%2c", "%2C");
	$arr_replace = array("_", "_", "_");
	
	$d = dir($destination_folder);
	
	while (false !== ($entry = $d->read()) ) {
		if ($entry != "." and $entry != "..")
		{
			$filename = $destination_folder."/".$entry;
			rename($filename, str_replace($arr_find, $arr_replace, $filename));
		}
	}*/
	define("COUNT_LIMIT", 5000);
	$total_arr = $DB->get("SELECT COUNT(`id`) as `total` FROM `".DB_PREFIX."items` ORDER BY `id` ");
	$total = $total_arr['total'];
	
	if ($_GET['c']=='' or $_GET['c']<COUNT_LIMIT) $_GET['c'] = 5000;
	
	$items = $DB->getAll("SELECT `id`, `short_name` FROM `".DB_PREFIX."items` ORDER BY `id` LIMIT ".($_GET['c']-COUNT_LIMIT).",".COUNT_LIMIT);
	echo count($items);

	echo "<h2>Rename wallpaper files from 3.0 naming style to 3.2 naming style</h2>";

	for ($i=0;$i<count($items);$i++)
	{
		$file_prefix = $items[$i]["short_name"];

		$old_file_prefix = $items[$i]["id"];
		$sql = "SELECT * FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND a.item_id='".$items[$i]['id']."' ORDER BY b.`sort_order` ASC ";
		$resolutions = $DB->getAll($sql);
		
		for ($j=0;$j<count($resolutions);$j++)
		{
			$filename = WALLPAPERS_PATH.$old_file_prefix."_".$resolutions[$j]['width']."x".$resolutions[$j]['height'].".jpg";
			$to_filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$resolutions[$j]['width']."x".$resolutions[$j]['height'].".jpg";
			if (file_exists($filename) and !file_exists($to_filename))
			{
				@rename($filename, $to_filename);
			}
			//echo $filename." renamed to ".$to_filename."<br />";

		}
		
		$ratio_type = $WS->getRatioArray($items[$i]["id"]);
		if (count($ratio_type)==0) $ratio_type = array("other");
		for ($j=0;$j<count($ratio_type);$j++)
		{
			$filename = WALLPAPERS_PATH.$old_file_prefix."-".$ratio_type[$j].".jpg";
			$to_filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratio_type[$j].".jpg";
			if (file_exists($filename) and !file_exists($to_filename))
			{
				@rename($filename, $to_filename);
			}
		}
				
		for ($j=0;$j<count($thumbnails);$j++)
		{
			$thumbnailPath = THUMBS_PATH.$old_file_prefix."t".($j+1).".jpg";
			$to_filename = THUMBS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."t".($j+1).".jpg";
			if (file_exists($thumbnailPath) and !file_exists($to_filename))
			{
				@rename($thumbnailPath, $to_filename);
			}
		}
		
		#$DB->query("UPDATE `".DB_PREFIX."items` SET `short_name`='".str_replace($arr_find, $arr_replace, $items[$i]["short_name"])."' WHERE id='".$items[$i]["id"]."'");
		
	}
	
	echo "<h2>Check available resolutions and add them to wallpapers</h2>";

	$sql = "SELECT * FROM `".DB_PREFIX."resolutions` b WHERE 1 ORDER BY b.`sort_order` ASC ";
	$masterResolutions = $DB->getAll($sql);
		
	for ($i=0;$i<count($items);$i++)
	{
		$file_prefix = $items[$i]["short_name"];
		//$sql = "SELECT * FROM `".DB_PREFIX."items_resolutions` a WHERE a.item_id='".$items[$i]['id']."' ");
		//$resolutions = $DB->getAll($sql);
		
		
		
		$ratio_type = $WS->getRatioArray($file_prefix);
		if (count($ratio_type)==0) $ratio_type = array("other");
		for ($j=0;$j<count($ratio_type);$j++)
		{
			
			$filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratio_type[$j].".jpg";
			if (file_exists($filename))
			{
				$arr_fileData = getimagesize($filename);
				$ratio = number_format($arr_fileData[0]/$arr_fileData[1],2);
				
				for ($jk=0;$jk<count($masterResolutions);$jk++)
				{
					
					$width = $masterResolutions[$jk]["width"];
					$height = $masterResolutions[$jk]["height"];
					$masterRatio = number_format($width/$height,2);
					
					if ($arr_fileData[0]<$width)
						continue;
					if ($ratio!=$masterRatio)
						continue;
					$sql = "SELECT COUNT(a.resolution_id) as `total` FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND a.item_id='".$items[$i]['id']."' AND `width`='".$width."' AND `height`='".$height."' ";
					$resCheck = $DB->get($sql);
					if ($resCheck['total']==0)
					{
						//insert resolution
						$DB->query("INSERT INTO `".DB_PREFIX."items_resolutions` SET resolution_id='".$masterResolutions[$jk]['id']."', `item_id`='".$items[$i]['id']."' ");
						echo "<br />resolution ".$width."x".$height." added for item ".$items[$i]['short_name']."<br />";
					}
					
				}
			}
		}
		
		
	}
	
	echo "<h2>Clear resolution cache for wallpapers</h2>";

	for ($i=0;$i<count($items);$i++)
	{
		$file_prefix = $items[$i]["short_name"];
		$sql = "SELECT * FROM `".DB_PREFIX."items_resolutions` a, `".DB_PREFIX."resolutions` b WHERE a.resolution_id=b.id AND a.item_id='".$items[$i]['id']."' ORDER BY b.`sort_order` ASC ";
		$resolutions = $DB->getAll($sql);
		
		for ($j=0;$j<count($resolutions);$j++)
		{
			$filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$resolutions[$j]['width']."x".$resolutions[$j]['height'].".jpg";
			if (file_exists($filename))
			{
				@unlink($filename);
				echo $filename." deleted <br />";
			}
			
		}
		unset($resolutions);
	}
	
	if ($_GET['c']<=$total)
	{

		header("Location: update_settings.php?c=".($_GET['c']+COUNT_LIMIT));
		exit();
	}
	echo "<br />Update done.<br /><br />";
	$msg = ob_get_contents();
	ob_clean();
	echo $msg;
?>