<?php
    
include "../config.php";

include_once "../includes/classes/Category.php";

header("Content-Type: text/html; charset=utf-8");

ob_start();
echo "Starting update. Please wait ...<br /><br />";

echo "<h2>Update database</h2>";


$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."friends` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="display")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."friends` ADD `display` INT( 1 ) NOT NULL DEFAULT '0' ;");
	echo "`display` column added to `".DB_PREFIX."friends` table<br />";
}



$test_flag = false;
	
$test_col = $DB->get("SELECT * FROM `".DB_PREFIX."settings` WHERE `key`='LANG_DEFAULT' ");
if (count($test_col)==0)
{
	$DB->query("INSERT INTO `".DB_PREFIX."settings` (
`id` ,
`key` ,
`value` ,
`description` ,
`created` ,
`modified` ,
`section` ,
`type`
)
VALUES (
NULL , 'LANG_DEFAULT', 'en', 'The default language for the site', '', '', '1', 'text'
);");
	echo "`LANG_DEFAULT` key added to `".DB_PREFIX."settings` table<br />";
	define ("LANG_DEFAULT", "en");
}




$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="category_path")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `category_path` VARCHAR( 255 ) NOT NULL ;");
	echo "`category_path` column added to `".DB_PREFIX."categories` table<br />";
}


$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_title")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `meta_title` VARCHAR( 255 ) NOT NULL ;");
	echo "`meta_title` column added to `".DB_PREFIX."categories` table<br />";
}

$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_keywords")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `meta_keywords` VARCHAR( 255 ) NOT NULL ;");
	echo "`meta_keywords` column added to `".DB_PREFIX."categories` table<br />";
}

$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."categories` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_description")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."categories` ADD `meta_description` TEXT NOT NULL ;");
	echo "`meta_description` column added to `".DB_PREFIX."categories` table<br />";
}







$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="category_path")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `category_path` VARCHAR( 255 ) NOT NULL ;");
	echo "`category_path` column added to `".DB_PREFIX."items` table<br />";
}



$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_title")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `meta_title` VARCHAR( 255 ) NOT NULL ;");
	echo "`meta_title` column added to `".DB_PREFIX."items` table<br />";
}

$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_keywords")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `meta_keywords` VARCHAR( 255 ) NOT NULL ;");
	echo "`meta_keywords` column added to `".DB_PREFIX."items` table<br />";
}

$test_flag = false;
$test_col = $DB->getAll("SHOW COLUMNS FROM `".DB_PREFIX."items` ");
for ($i=0;$i<count($test_col);$i++)
{
	if ($test_col[$i]['Field']=="meta_description")
	{
		$test_flag = true;
		break;
	}
}
if ($test_flag==false)
{		
	$DB->query("ALTER TABLE `".DB_PREFIX."items` ADD `meta_description` TEXT NOT NULL ;");
	echo "`meta_description` column added to `".DB_PREFIX."items` table<br />";
}



$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."friends_referrals` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `host` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `friend_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;");
if ($test!==false) echo "`friends_referrals` table added to db<br />";

$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."users_online` (
  `user_id` int(255) unsigned NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `session_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `user_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ip` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `host` varchar(255) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;");
if ($test!==false) echo "`users_online` table added to db<br />";


$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."tags` (
  `id` int(255) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(255) unsigned NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;");
if ($test!==false) echo "`tags` table added to db<br />";

$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."tags_items` (
  `tag_id` int(255) unsigned NOT NULL,
  `item_id` int(255) unsigned NOT NULL,
  PRIMARY KEY (`tag_id`,`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;");
if ($test!==false) echo "`tags_items` table added to db<br />";


$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."hook` (
  `id_hook` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `position` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_hook`),
  UNIQUE KEY `hook_name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;");
if ($test!==false) echo "`hook` table added to db<br />";

$test = $DB->query("INSERT IGNORE INTO `".DB_PREFIX."hook` (`id_hook`, `name`, `title`, `description`, `position`) VALUES
(1, 'Footer', 'Footer place', NULL, 80),
(2, 'Content', 'Content section', NULL, 10),
(3, 'Right', 'Right section block', NULL, 90),
(4, 'Left', 'Left section block', NULL, 90),
(5, 'Head', 'Head of the html file', NULL, 2),
(6, 'UserMenuLinks', 'User Menu Links', NULL, 1);");

if ($test!==false) echo "`hook` entries added to db<br />";


$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."hook_module` (
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `position` tinyint(2) unsigned NOT NULL,
  KEY `hook_module_index` (`id_module`,`id_hook`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;");
if ($test!==false) echo "`hook_module` table added to db<br />";

$testTot = $DB->get("SELECT COUNT(`id_module`) as `total` FROM `".DB_PREFIX."hook_module` ");
if ($testTot['total']==0)
{
	$test = $DB->query("INSERT IGNORE INTO `".DB_PREFIX."hook_module` (`id_module`, `id_hook`, `position`) VALUES
	(11, 3, 1),
	(33, 2, 1),
	(33, 5, 1),
	(5, 4, 1),
	(35, 4, 1),
	(7, 4, 2),
	(8, 5, 1),
	(8, 3, 4),
	(8, 2, 1),
	(10, 2, 1),
	(10, 6, 1),
	(16, 6, 1),
	(16, 2, 1),
	(17, 1, 1),
	(18, 3, 2),
	(19, 4, 4),
	(20, 3, 3),
	(21, 2, 1),
	(21, 5, 1),
	(22, 2, 1),
	(22, 5, 1),
	(23, 2, 1),
	(23, 5, 1),
	(24, 2, 1),
	(24, 5, 1),
	(25, 2, 1),
	(25, 5, 1),
	(26, 2, 1),
	(35, 2, 1),
	(33, 6, 1),
	(28, 2, 1),
	(35, 5, 1),
	(36, 2, 1);");
	if ($test!==false) echo "`hook_module` entries added to db<br />";
}





$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."hook_module_exceptions` (
  `id_hook_module_exceptions` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id_module` int(10) unsigned NOT NULL,
  `id_hook` int(10) unsigned NOT NULL,
  `file_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` enum('include','exclude') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'exclude',
  PRIMARY KEY (`id_hook_module_exceptions`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
if ($test!==false) echo "`hook_module_exceptions` table added to db<br />";

$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."languages` (
  `id_lang` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `iso_code` varchar(5) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `created` DATETIME NOT NULL ,
  `modified` DATETIME NOT NULL ;
  PRIMARY KEY (`id_lang`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
if ($test!==false) echo "`languages` table added to db<br />";


$test = $DB->query("INSERT IGNORE INTO `".DB_PREFIX."languages` (`id_lang`, `name`, `iso_code`, `created`, `modified`) VALUES
(1, 'English', 'en', '0000-00-00 00:00:00', '2008-10-25 21:28:09'),
(2, 'Romanian', 'ro', '0000-00-00 00:00:00', '2008-10-25 21:28:55'),
(3, 'French', 'fr', '2008-10-25 21:22:58', '2008-10-25 21:22:58');");
if ($test!==false) echo "`languages` entries added to db<br />";






$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."module` (
  `id_module` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `active` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_module`),
  KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
if ($test!==false) echo "`module` table added to db<br />";

$test = $DB->query("INSERT IGNORE INTO `".DB_PREFIX."module` (`id_module`, `name`, `active`) VALUES
(11, 'UserMenuBlock', 1),
(33, 'Translations', 1),
(5, 'SearchBlock', 1),
(35, 'FriendsBlock', 1),
(7, 'PartnersBlock', 1),
(8, 'UsersOnline', 1),
(10, 'ManageWatermarks', 1),
(16, 'gsitemap', 1),
(17, 'FooterLinks', 1),
(18, 'CategoriesBlock', 1),
(19, 'ResolutionsBlock', 1),
(20, 'StatisticsBlock', 1),
(21, 'MainLatestCategoriesUpdates', 1),
(22, 'MainLatestWallpapers', 1),
(23, 'MainRandomWallpaper', 1),
(24, 'MainTagCategory', 1),
(25, 'MainTopVotes', 1),
(26, 'ManageItems', 1),
(36, 'TagsModule', 1),
(28, 'TopViewedWallpapers', 1);");


if ($test!==false) echo "`module` entries added to db<br />";


$test = $DB->query("CREATE TABLE IF NOT EXISTS `".DB_PREFIX."watermarks` (
  `id` int(100) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `text` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `type` enum('text','image') COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `position` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` int(1) unsigned NOT NULL DEFAULT '1',
  `color` varchar(6) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'FFFFFF',
  `size` int(10) unsigned NOT NULL DEFAULT '16',
  `offsetx` int(10) NOT NULL DEFAULT '0',
  `offsety` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
if ($test!==false) echo "`watermarks` table added to db<br />";


if ($_GET['update_db']!=1)
{

	define("COUNT_LIMIT", 2000);
	$total_arr = $DB->get("SELECT COUNT(`id`) as `total` FROM `".DB_PREFIX."items` ORDER BY `id` ");
	$total = $total_arr['total'];
		
	if ($_GET['c']=='' or $_GET['c']<COUNT_LIMIT) $_GET['c'] = COUNT_LIMIT;
		
	$items = $DB->getAll("SELECT `id`, `short_name`, `keywords` FROM `".DB_PREFIX."items` ORDER BY `id` LIMIT ".($_GET['c']-COUNT_LIMIT).",".COUNT_LIMIT);
	echo count($items);

	if ($_GET['c']==COUNT_LIMIT)
	{
		$categories = $DB->getAll("SELECT `id`, `short_name` FROM `".DB_PREFIX."categories`");
		
		echo "<h2>Build category_path for categories</h2>";
		
		
		for ($i=0;$i<count($categories);$i++)
		{
			$WS->buildCatPathCategory($categories[$i]['id']);
		}
	}

	echo "<h2>Rebuild tags for wallpapers</h2>";


	for ($i=0;$i<count($items);$i++)
	{
		$file_prefix = $items[$i]["short_name"];
		
		$sql = "SELECT * FROM `".DB_PREFIX."users_items` WHERE item_id='".$items[$i]['id']."' ";
		$users = $DB->getAll($sql);
		$user_id = $users[0]['user_id'];
		
		if ($items[$i]['keywords']!='')
		{
			$keywords = $items[$i]['keywords'];
			if (strpos($keywords, ',')!==false)
			{
				$tags = explode(',', $keywords);
			}
			else
				$tags = explode(' ', $keywords);
			foreach ($tags as $tag)
			{
				$tag = trim($tag);
				if($tag!='')
				{
					$sql = "SELECT * FROM `".DB_PREFIX."tags` WHERE `name`='".$tag."' AND `user_id`='".$user_id."' ";
					$check_tag = $DB->get($sql);
					if (count($check_tag)==0)
					{
						$sql = "INSERT INTO `".DB_PREFIX."tags` SET `name`='".$tag."', `user_id`='".$user_id."', `created`=NOW(), `modified`=NOW() ";
						$DB->query($sql);
						$tag_id = $DB->last_id();
					}
					else
					{
						$tag_id = $check_tag['id'];
					}
					$sql = "SELECT * FROM `".DB_PREFIX."tags_items` WHERE `tag_id`='".$tag_id."' AND `item_id`='".$items[$i]['id']."' ";
					$check_tag_item = $DB->get($sql);
					if (count($check_tag_item)==0)
					{
						$sql = "INSERT INTO `".DB_PREFIX."tags_items` SET `tag_id`='".$tag_id."', `item_id`='".$items[$i]['id']."' ";
						$DB->query($sql);
					}
				}
			}
		}
	}

	echo "<h2>Build category_path for wallpapers</h2>";

	for ($i=0;$i<count($items);$i++)
	{
		$WS->buildCatPath($items[$i]['id']);
	}

	if ($_GET['c']<=$total)
	{
		
		header("Location: update_to_3.5.php?c=".($_GET['c']+COUNT_LIMIT));
		exit();
	}
}

echo "<br />Update done.<br /><br />";
$msg = ob_get_contents();
ob_clean();
echo $msg;

?>