<?php
    include "../config.php";
	
	
	
	ob_start();
	echo "Starting update. Please wait ...<br /><br />";
	
	define("COUNT_LIMIT", 5000);
	$total_arr = $DB->get("SELECT COUNT(`id`) as `total` FROM `".DB_PREFIX."items` ORDER BY `id` ");
	$total = $total_arr['total'];
	
	if ($_GET['c']=='' or $_GET['c']<COUNT_LIMIT) $_GET['c'] = 5000;
	
	$items = $DB->getAll("SELECT `id`, `short_name` FROM `".DB_PREFIX."items` ORDER BY `id` LIMIT ".($_GET['c']-COUNT_LIMIT).",".COUNT_LIMIT);
	echo "Show ".COUNT_LIMIT." starting with ".($_GET['c']-COUNT_LIMIT)." from total ".$total."<br />";
	
	$sql = "SELECT * FROM `".DB_PREFIX."resolutions` b WHERE 1 ORDER BY b.`sort_order` ASC ";
	$resolutions = $DB->getAll($sql);

	echo '<br />';
	
	for ($i=0;$i<count($items);$i++)
	{
		$file_prefix = $items[$i]["short_name"];
		$old_file_prefix = str_replace("-", "_", $items[$i]["short_name"]);
		
	
	
		$filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR."other.jpg";
		if (file_exists($filename))
		{
			$arr_info = getimagesize($filename);
			$ratio = number_format($arr_info[0]/$arr_info[1], 2);
			$ratio_text = $WS->getRatioType($ratio);
			$to_filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratio_text.".jpg";
			echo "From `".$filename."` to `".$to_filename."` <br />";
			
			@rename($filename, $to_filename);
		}
		
		
		$resolution_to_remove = array();
		$resolution_not_to_remove = array();
		$ratio_type = $WS->getRatioArray($file_prefix);
		
		if (count($ratio_type)==0) $ratio_type = array("other");
		
		for ($j=0;$j<count($ratio_type);$j++)
		{
			$to_filename = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$ratio_type[$j].".jpg";
		
			if (file_exists($to_filename))
			{
				$arr_info = getimagesize($to_filename);
				for ($kindex=0;$kindex<count($resolutions);$kindex++)
				{
					$to_filename_r = WALLPAPERS_PATH.$file_prefix.URL_TOKEN_SEPARATOR.$resolutions[$kindex]['width']."x".$resolutions[$kindex]['height'].".jpg";
										
					if (number_format($resolutions[$kindex]['width']/$resolutions[$kindex]['height'], 2)!=number_format($arr_info[0]/$arr_info[1], 2) or 
						($resolutions[$kindex]['width']>$arr_info[0] and $resolutions[$kindex]['height']>$arr_info[1]) )
					{
						$resolution_to_remove[] = $resolutions[$kindex]['id'];
					}
					else
					{
						$resolution_not_to_remove[] = $resolutions[$kindex]['id'];
					}
				}
			}
		}
	
		
		foreach ($resolution_to_remove as $rr)
		{
			if (!in_array($rr, $resolution_not_to_remove) )
			{
				$DB->query("DELETE FROM ".DB_PREFIX."items_resolutions WHERE resolution_id='$rr' and item_id='".$items[$i]['id']."'  ");
			}
		}
		
		foreach ($resolution_not_to_remove as $rr)
		{
			$res_check = $DB->get("SELECT * FROM ".DB_PREFIX."items_resolutions WHERE resolution_id='$rr' AND item_id='".$items[$i]['id']."'  ");
			if (count($res_check)==0 )
			{
				$DB->query("INSERT INTO ".DB_PREFIX."items_resolutions SET resolution_id='$rr', item_id='".$items[$i]['id']."'  ");
			}
		}

		
			
	}
	if ($_GET['c']<=$total)
	{

		header("Location: update_wallpaper_resolutions.php?c=".($_GET['c']+COUNT_LIMIT));
		exit();
	}
	echo "<br />Update done.<br /><br />";
	$msg = ob_get_contents();
	ob_clean();
	echo $msg;
?>